-- MySQL dump 10.16  Distrib 10.1.37-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: isaack_suee
-- ------------------------------------------------------
-- Server version	10.1.37-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `vms_adminblacklist`
--

DROP TABLE IF EXISTS `vms_adminblacklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_adminblacklist` (
  `tan` varchar(32) NOT NULL,
  `time` int(15) NOT NULL,
  PRIMARY KEY (`tan`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_adminblacklist`
--

LOCK TABLES `vms_adminblacklist` WRITE;
/*!40000 ALTER TABLE `vms_adminblacklist` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_adminblacklist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_aktivierungen`
--

DROP TABLE IF EXISTS `vms_aktivierungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_aktivierungen` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `ak` varchar(32) NOT NULL DEFAULT '',
  KEY `aktivierungs_code` (`ak`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_aktivierungen`
--

LOCK TABLES `vms_aktivierungen` WRITE;
/*!40000 ALTER TABLE `vms_aktivierungen` DISABLE KEYS */;
INSERT INTO `vms_aktivierungen` (`uid`, `ak`) VALUES (2,'4d32a1a3debc85ef2510baaa1ea5a017'),(3,'954984433263d0d8b1ae60415ad0a82a'),(4,'f82f964894b8c90fdfc0d8232e47af36'),(5,'198705dbef8c8e86ca4ae1ccff2ff24e'),(6,'34c4424b6f7fcda79263487db1902e0b'),(7,'231d79c72c4516207728432f9a50da61'),(8,'ce627e1b2624116d466fdadfc7879390'),(9,'7a96b7f93860c6d5bb38d1d964d0241a'),(10,'67bdae6bf2fcb24624a373800e3e4494'),(11,'634a2daa17827fde98465a452fa35e39'),(13,'75e8233efb8903f43e0f521d82ddedc3');
/*!40000 ALTER TABLE `vms_aktivierungen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_bettel_buchung`
--

DROP TABLE IF EXISTS `vms_bettel_buchung`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_bettel_buchung` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `refferer` text NOT NULL,
  `betrag` double(10,2) NOT NULL,
  `zeit` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_bettel_buchung`
--

LOCK TABLES `vms_bettel_buchung` WRITE;
/*!40000 ALTER TABLE `vms_bettel_buchung` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_bettel_buchung` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_bilanz`
--

DROP TABLE IF EXISTS `vms_bilanz`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_bilanz` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datum` int(11) NOT NULL,
  `ein` double(100,2) NOT NULL,
  `aus` double(100,2) NOT NULL,
  `gruppe` text NOT NULL,
  `name` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_bilanz`
--

LOCK TABLES `vms_bilanz` WRITE;
/*!40000 ALTER TABLE `vms_bilanz` DISABLE KEYS */;
INSERT INTO `vms_bilanz` (`id`, `datum`, `ein`, `aus`, `gruppe`, `name`) VALUES (1,1543580339,10000000.00,1258000.00,'Spiele',''),(2,1543666739,10000000.00,875213.00,'Spiele',''),(3,1543666739,123456.00,12345.00,'Banner','');
/*!40000 ALTER TABLE `vms_bilanz` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_box_admin`
--

DROP TABLE IF EXISTS `vms_box_admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_box_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `ordnung` int(11) NOT NULL DEFAULT '1',
  `status` int(11) NOT NULL DEFAULT '1',
  `sichtbar` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_box_admin`
--

LOCK TABLES `vms_box_admin` WRITE;
/*!40000 ALTER TABLE `vms_box_admin` DISABLE KEYS */;
INSERT INTO `vms_box_admin` (`id`, `name`, `ordnung`, `status`, `sichtbar`) VALUES (4,'Usersystem',3,1,1),(5,'Newssystem',4,1,1),(6,'Konfigurationen',5,1,1),(7,'Texte bearbeiten',6,1,1),(8,'Werbung ein.',7,1,1),(9,'Interfacebanner',8,1,1),(10,'CMS',10,1,1);
/*!40000 ALTER TABLE `vms_box_admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_box_user`
--

DROP TABLE IF EXISTS `vms_box_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_box_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `ordnung` int(11) NOT NULL DEFAULT '1',
  `sichtbar` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_box_user`
--

LOCK TABLES `vms_box_user` WRITE;
/*!40000 ALTER TABLE `vms_box_user` DISABLE KEYS */;
INSERT INTO `vms_box_user` (`id`, `name`, `ordnung`, `sichtbar`) VALUES (6,'Navigation',1,1),(7,'Verdienen',2,1);
/*!40000 ALTER TABLE `vms_box_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_buchungen`
--

DROP TABLE IF EXISTS `vms_buchungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_buchungen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(7) NOT NULL DEFAULT '0',
  `buchungszeit` int(10) NOT NULL DEFAULT '0',
  `buchungs_id` varchar(14) NOT NULL DEFAULT '',
  `buchungsmenge` double(11,2) NOT NULL DEFAULT '0.00',
  `verwendungszweck` varchar(40) NOT NULL DEFAULT '',
  `buchung_ok` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user` (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=143 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_buchungen`
--

LOCK TABLES `vms_buchungen` WRITE;
/*!40000 ALTER TABLE `vms_buchungen` DISABLE KEYS */;
INSERT INTO `vms_buchungen` (`id`, `uid`, `buchungszeit`, `buchungs_id`, `buchungsmenge`, `verwendungszweck`, `buchung_ok`) VALUES (11,1,1540128714,'h2RzeWrq3VR',0.00,'Einzahlung',1),(10,1,1540128671,'Rsg6nPLPR32',0.00,'Einzahlung',0),(12,1,1546373449,'lPCXS8UXlGf',0.00,'System Startseitenverg&uuml;tung',1),(13,1,1546373489,'bWSXmxu520Z',0.00,'System Startseitenverg&uuml;tung',1),(14,1,1546373581,'NShvuC7Dtgy',0.00,'System Startseitenverg&uuml;tung',1),(15,1,1546373636,'OYh4DYOy4rF',0.00,'System Startseitenverg&uuml;tung',1),(16,1,1546373641,'QLqbQcyYTwY',0.00,'System Startseitenverg&uuml;tung',1),(17,1,1546373699,'ms75bSdMttd',0.00,'System Startseitenverg&uuml;tung',1),(18,1,1546373718,'UtnA5uEWWi9',0.00,'System Startseitenverg&uuml;tung',1),(19,1,1546373811,'MP7krBStSLW',0.00,'System Startseitenverg&uuml;tung',1),(20,1,1546374270,'9xYfKk7HSM6',0.00,'System Startseitenverg&uuml;tung',1),(21,1,1546374302,'xtG9qwYvneS',0.00,'System Startseitenverg&uuml;tung',1),(22,1,1546544792,'HHJQAbCya9V',0.00,'System Startseitenverg&uuml;tung',1),(23,1,1547313036,'kjeywu6oz5W1Pv',100.00,'1',1),(24,1,1547313093,'e5wGeg3WYuKmAH',100.00,'1',1),(25,1,1547313120,'wt25gTnum0sE83',100.00,'1',1),(26,1,1547313213,'LdH3d31jI8tOCl',100.00,'1',1),(27,1,1547313225,'GYEk7K699wTWps',100.00,'1',1),(28,1,1547313227,'it6EX0sAcgQg8X',100.00,'1',1),(29,1,1547313246,'CSvZFp2G36Uooo',100.00,'1',1),(30,1,1547313247,'UmuXiTCu3Dpiew',100.00,'1',1),(31,1,1547313290,'Go3I974ZC4nbY4',100.00,'1',1),(32,1,1547313292,'V5AbdFn6jabyGW',100.00,'1',1),(33,1,1547313826,'mWiHDcqb0agJnp',100.00,'1',1),(34,1,1547313827,'Ttkd43T3zFDC2p',100.00,'1',1),(35,1,1547313943,'pVF2ooOOWMTdJK',100.00,'1',1),(36,1,1547313944,'QRZv9Sce1ewnEN',100.00,'1',1),(37,1,1547313966,'NjBk6BH2Y4I1LG',100.00,'1',1),(38,1,1547313992,'ASEVerDExh8hN5',100.00,'1',1),(39,1,1547314064,'GvSl1RuH7y7byR',100.00,'1',1),(40,1,1547314097,'18xklpZChgcbbt',100.00,'1',1),(41,1,1547314124,'R3BsQi8kC9jdhh',100.00,'1',1),(42,1,1547314215,'vlBlW97RGlj4Dl',100.00,'1',1),(43,1,1547314232,'J2nJdwgokHNXiX',100.00,'1',1),(44,1,1547314722,'cStCaidujYZ0MV',100.00,'1',1),(45,1,1547314941,'iMTYwR0z2GiXI5',100.00,'1',1),(46,1,1547315075,'dIaChlvJ4KNMZg',100.00,'1',1),(47,1,1547315156,'ZenX3QMQMf483p',100.00,'1',1),(48,1,1547315218,'ig28hitS3ucbzj',100.00,'1',1),(49,1,1547315240,'68BpuWuZ1nAiFS',100.00,'1',1),(50,1,1547315268,'JO6KvbZxs2QGn8',100.00,'1',1),(51,1,1547315289,'VSH9q2NijLnICk',100.00,'1',1),(52,1,1547468899,'36tliGgGp83Vz5',100.00,'1',1),(53,1,1547469026,'shSu7VnrCSKifG',100.00,'1',1),(54,1,1547471276,'aH2HZsOMAxM',0.00,'Gutschrift chatbonus',1),(55,1,1547471315,'zzb0KT5agBp',0.00,'Gutschrift chatbonus',1),(56,1,1547471359,'iDP053BqPgY',0.00,'Gutschrift chatbonus',1),(57,1,1547471449,'EBF2uuSKZhZ',0.00,'Gutschrift chatbonus',1),(58,1,1547471500,'zCDA0DwiM0n',0.00,'Gutschrift chatbonus',1),(59,1,1547471553,'dwrweYBfix7',0.00,'Gutschrift chatbonus',1),(60,1,1547471837,'Fs6IAU9OPJy',0.00,'Gutschrift chatbonus',1),(61,1,1547471841,'sufGgJFWr2e',0.00,'Gutschrift chatbonus',1),(62,1,1547471847,'UCIyPNvDesU',0.00,'Gutschrift chatbonus',1),(63,1,1547471855,'yMKE5aOl7UG',0.00,'Gutschrift chatbonus',1),(64,1,1547471857,'yjRkWGtIuOq',0.00,'Gutschrift chatbonus',1),(65,1,1547471861,'DMx55O1ntVJ',0.00,'Gutschrift chatbonus',1),(66,1,1547471864,'8CvTRcLt89d',0.00,'Gutschrift chatbonus',1),(67,1,1547471867,'K34uPWT7oHe',0.00,'Gutschrift chatbonus',1),(68,1,1547471870,'wxUl3Nf5oEE',0.00,'Gutschrift chatbonus',1),(69,1,1547471873,'dn4LtKWh8AN',0.00,'Gutschrift chatbonus',1),(70,1,1547471876,'LaErcE7Ybbf',0.00,'Gutschrift chatbonus',1),(71,1,1547471886,'eLSq9WJJVbS',0.00,'Gutschrift chatbonus',1),(72,1,1547471955,'KmAlrIiYVeq',0.00,'Gutschrift chatbonus',1),(73,1,1547471959,'0YQkj2vfLRi',0.00,'Gutschrift chatbonus',1),(74,1,1547472019,'ER3HM5CvyMP',0.00,'Gutschrift chatbonus',1),(75,1,1547472022,'VQnB6uSq4In',0.00,'Gutschrift chatbonus',1),(76,1,1547472035,'WsPTbJDfoWV',0.00,'Gutschrift chatbonus',1),(77,1,1547472049,'58XUMRWQ2dR',0.00,'Gutschrift chatbonus',1),(78,1,1547472059,'whBuMlmt36k',0.00,'Gutschrift chatbonus',1),(79,1,1547472095,'KWJ4bwZhYLl',0.00,'Gutschrift chatbonus',1),(80,1,1547472211,'OviXKNmRxzJ',0.00,'Gutschrift chatbonus',1),(81,1,1547472233,'rlTqqeaN1Y4',0.00,'Gutschrift chatbonus',1),(82,1,1547472358,'Oa9XxGNt19f',0.00,'Gutschrift chatbonus',1),(83,1,1547472413,'RJ3cJ3EdH5T',0.00,'Gutschrift chatbonus',1),(84,1,1547472427,'5oYjneI9nv0',100.00,'Gutschrift chatbonus',1),(85,1,1547472437,'3VqHboOtqvP',100.00,'Gutschrift chatbonus',1),(86,1,1547472453,'RuFy8Ir06Ut',100.00,'Gutschrift chatbonus',1),(87,1,1547644421,'kRI9EoNRI6ZKbT',100.00,'1',1),(88,1,1547644483,'E5ibCXiUpZTn7Y',100.00,'1',1),(89,1,1547644621,'AG08wyCJEpi53G',100.00,'1',1),(90,1,1547901628,'Map5BltPv5N',100.00,'Gutschrift chatbonus',1),(91,1,1547901731,'ccIArp8MdE8',100.00,'Gutschrift chatbonus',1),(92,1,1547901752,'ODhhHIWiq1t',100.00,'Gutschrift chatbonus',1),(93,1,1547902831,'dGUz5ZfHccU',100.00,'Gutschrift chatbonus',1),(94,1,1547902865,'Ml05qiIwZ3F',100.00,'Gutschrift chatbonus',1),(95,1,1547992415,'3bsZOsVgrf8',100.00,'Gutschrift chatbonus',1),(96,1,1547992421,'upXSDLXyCwm',100.00,'Gutschrift chatbonus',1),(97,1,1547992422,'aaiyOyb3QqI',100.00,'Gutschrift chatbonus',1),(98,1,1547992423,'YbOpzOnsMKX',100.00,'Gutschrift chatbonus',1),(99,1,1547992424,'JOZtaWQxSsd',100.00,'Gutschrift chatbonus',1),(100,1,1547992697,'FHw4OHEWkVB',100.00,'Gutschrift chatbonus',1),(101,1,1547992700,'0wlGK9D0EMs',100.00,'Gutschrift chatbonus',1),(102,1,1547992831,'GVdct8Xrvcq',100.00,'Gutschrift chatbonus',1),(103,1,1547992874,'FhSFJSNvo8g',100.00,'Gutschrift chatbonus',1),(104,1,1547993048,'6Lxz0ueimjD',100.00,'Gutschrift chatbonus',1),(105,1,1547993263,'7wqHCYTQ3DK',100.00,'Gutschrift chatbonus',1),(106,1,1547993424,'3CSP64E03V7',100.00,'Gutschrift chatbonus',1),(107,1,1547993433,'ttPp7VMluZq',100.00,'Gutschrift chatbonus',1),(108,1,1547993438,'HN5zGD5uY3K',100.00,'Gutschrift chatbonus',1),(109,1,1547993443,'yBx9Waps5XE',100.00,'Gutschrift chatbonus',1),(110,1,1547993450,'y0uHxk7411s',100.00,'Gutschrift chatbonus',1),(111,1,1548362343,'jxEKH10fZwk',100.00,'Gutschrift chatbonus',1),(112,1,1548362352,'r9CjA1fUuDq',100.00,'Gutschrift chatbonus',1),(113,1,1548362358,'9TY6D3yDQfj',100.00,'Gutschrift chatbonus',1),(114,1,1548362362,'RsADPSaRX1D',100.00,'Gutschrift chatbonus',1),(115,1,1548362544,'nbGq2HWksxu',100.00,'Gutschrift chatbonus',1),(116,1,1548362800,'UCEg71u2Npz',100.00,'Gutschrift chatbonus',1),(117,1,1548363052,'A3pw0AZo8iw',100.00,'Gutschrift chatbonus',1),(118,1,1548363078,'mG5K8g7oJOm',100.00,'Gutschrift chatbonus',1),(119,1,1548363145,'wzYt2G20zFS',100.00,'Gutschrift chatbonus',1),(120,1,1548363151,'IPHPYpdBuJ6',100.00,'Gutschrift chatbonus',1),(121,1,1548363185,'k2dK699TNIT',100.00,'Gutschrift chatbonus',1),(122,1,1548680117,'q24pLeEhjRrgWY',100.00,'1',1),(123,1,1548680439,'aNuwOQx8bQt8LG',100.00,'1',1),(124,1,1548680786,'9B9coCMdz4o',0.00,'System Startseitenverg&uuml;tung',1),(125,1,1548680848,'labjhy8bS8n',0.00,'System Startseitenverg&uuml;tung',1),(126,1,1548765288,'VGAmWTfrLMm',0.00,'System Startseitenverg&uuml;tung',1),(127,1,1548765297,'57p8Za1MGSl',0.00,'System Startseitenverg&uuml;tung',1),(128,1,1548765708,'5UVh95skg04',0.00,'System Startseitenverg&uuml;tung',1),(129,1,1548765884,'IGIYWgFl0Xy',0.00,'System Startseitenverg&uuml;tung',1),(130,1,1548766215,'ngdYYKxlsJN',0.00,'System Startseitenverg&uuml;tung',1),(131,1,1548766219,'IVn94YwhuuT',0.00,'System Startseitenverg&uuml;tung',1),(132,1,1548766221,'WJN6Z0ZNpOz',0.00,'System Startseitenverg&uuml;tung',1),(133,1,1548766222,'gaPzdZoe5Db',0.00,'System Startseitenverg&uuml;tung',1),(134,1,1548766315,'QnaieLN9NQp',0.00,'System Startseitenverg&uuml;tung',1),(135,1,1548766475,'2B5RrwXWsRd',0.00,'System Startseitenverg&uuml;tung',1),(136,1,1548766554,'egRz3jqft33',0.00,'System Startseitenverg&uuml;tung',1),(137,1,1548766734,'m7awsHkx9b7',0.00,'System Startseitenverg&uuml;tung',1),(138,1,1548766768,'T0i9xukR70L',0.00,'System Startseitenverg&uuml;tung',1),(139,1,1548766873,'MCJBEdDcAbU',0.00,'System Startseitenverg&uuml;tung',1),(140,1,1548766966,'bZoqoaC1zVS',0.00,'System Startseitenverg&uuml;tung',1),(141,1,1548769645,'CoFV1y06uMr',0.00,'System Startseitenverg&uuml;tung',1),(142,1,1548855211,'5XA0bknSKeU',0.00,'System Startseitenverg&uuml;tung',1);
/*!40000 ALTER TABLE `vms_buchungen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_buchungen_b`
--

DROP TABLE IF EXISTS `vms_buchungen_b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_buchungen_b` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `buchungszeit` int(10) NOT NULL DEFAULT '0',
  `buchungs_id` varchar(14) NOT NULL DEFAULT '',
  `buchungsmenge` double(11,2) NOT NULL DEFAULT '0.00',
  `verwendungszweck` varchar(40) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_buchungen_b`
--

LOCK TABLES `vms_buchungen_b` WRITE;
/*!40000 ALTER TABLE `vms_buchungen_b` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_buchungen_b` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_chat`
--

DROP TABLE IF EXISTS `vms_chat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `absender` text NOT NULL,
  `nachricht` longtext NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_chat`
--

LOCK TABLES `vms_chat` WRITE;
/*!40000 ALTER TABLE `vms_chat` DISABLE KEYS */;
INSERT INTO `vms_chat` (`id`, `absender`, `nachricht`, `time`) VALUES (10,'admin','hallo da die',1532264431),(11,'','blubb',1547471315),(12,'','blubb',1547471359),(13,'','blubb',1547471449),(14,'','blaa',1547471500),(15,'','hallo',1547471553),(16,'','b',1547471837),(17,'','b',1547471841),(18,'','b',1547471847),(19,'','b',1547471855),(20,'','b',1547471857),(21,'','b',1547471861),(22,'','b',1547471864),(23,'','b',1547471867),(24,'','b',1547471870),(25,'','b',1547471873),(26,'','b',1547471876),(27,'','c',1547471886),(28,'','b',1547471955),(29,'','r',1547471959),(30,'','r',1547472019),(31,'','r',1547472022),(32,'','g',1547472035),(33,'','b',1547472049),(34,'','n',1547472059),(35,'','n',1547472095),(36,'','h',1547472211),(37,'','t',1547472233),(38,'','j',1547472358),(39,'','u',1547472413),(42,'admin','k',1547472453),(43,'admin','hallo du da',1547901628),(44,'admin','na juhu',1547901731),(45,'admin',':-)',1547901752),(46,'admin','na hallo',1547902831),(47,'admin','blöd',1547902865),(48,'admin','blubb',1547992415),(49,'admin','blo',1547992421),(50,'admin','vlab',1547992422),(51,'admin','bnjbvs',1547992423),(52,'admin','sjvb',1547992424),(53,'admin','n+b#a',1547992697),(54,'admin','nbs',1547992700),(55,'admin','juhu',1547992831),(56,'admin','blöd',1547992874),(57,'admin','fjfjfjf',1547993048),(58,'admin','bbb',1547993263),(59,'admin','ola',1547993424),(60,'admin','geil',1547993433),(61,'admin','jetzt geht das endlich',1547993438),(62,'admin','und jetzut auch?',1547993443),(63,'admin','geiler scheiß',1547993450),(64,'admin','geiler scheiß',1548362343),(65,'admin','hihi',1548362352),(66,'admin','geht nicht mehr :-(',1548362358),(67,'admin','fuck',1548362362),(68,'admin','und?',1548362544),(69,'admin','b',1548362800),(70,'admin','b',1548363052),(71,'admin','v',1548363078),(72,'admin','m',1548363145);
/*!40000 ALTER TABLE `vms_chat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_chat_einstellungen`
--

DROP TABLE IF EXISTS `vms_chat_einstellungen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_chat_einstellungen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `chat_aktiv` int(11) NOT NULL,
  `hintergrundfarbe` text NOT NULL,
  `textfarbe` text NOT NULL,
  `profillink` text NOT NULL,
  `anzahl` int(11) NOT NULL,
  `sb_reload` int(11) NOT NULL,
  `sb_verguetung` double(100,2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_chat_einstellungen`
--

LOCK TABLES `vms_chat_einstellungen` WRITE;
/*!40000 ALTER TABLE `vms_chat_einstellungen` DISABLE KEYS */;
INSERT INTO `vms_chat_einstellungen` (`id`, `chat_aktiv`, `hintergrundfarbe`, `textfarbe`, `profillink`, `anzahl`, `sb_reload`, `sb_verguetung`) VALUES (1,2,'#000000','#ffffff','#ff6600',100,20,100.00);
/*!40000 ALTER TABLE `vms_chat_einstellungen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_cms_seiten`
--

DROP TABLE IF EXISTS `vms_cms_seiten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_cms_seiten` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `titel` text NOT NULL,
  `text` longtext NOT NULL,
  `sichtbar` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_cms_seiten`
--

LOCK TABLES `vms_cms_seiten` WRITE;
/*!40000 ALTER TABLE `vms_cms_seiten` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_cms_seiten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_crons`
--

DROP TABLE IF EXISTS `vms_crons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_crons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cron` varchar(50) NOT NULL DEFAULT '',
  `laufzeit` int(11) NOT NULL DEFAULT '0',
  `datei` varchar(250) NOT NULL DEFAULT '',
  `bezeichnung` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_crons`
--

LOCK TABLES `vms_crons` WRITE;
/*!40000 ALTER TABLE `vms_crons` DISABLE KEYS */;
INSERT INTO `vms_crons` (`id`, `cron`, `laufzeit`, `datei`, `bezeichnung`) VALUES (1,'ext_cron',0,'crons/refzahlungen.knt.php','Ext. Refzahlungen'),(2,'framebrecher',0,'crons/framebrecherdown.php','Adscan.de Cron'),(3,'fakecheck',0,'crons/fakecheck.php','Einmal pro Tag laufen lassen zur festlegeung ab wieviel Klicks Fakecheck gemacht wird.'),(4,'DB-Backup',0,'crons/db_backup.php','Datenbank Backup erstellen');
/*!40000 ALTER TABLE `vms_crons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_emaildaten`
--

DROP TABLE IF EXISTS `vms_emaildaten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_emaildaten` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `emailadresse` varchar(100) NOT NULL DEFAULT '',
  `freigabe_fuer` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`uid`),
  KEY `freigabe_fuer` (`freigabe_fuer`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_emaildaten`
--

LOCK TABLES `vms_emaildaten` WRITE;
/*!40000 ALTER TABLE `vms_emaildaten` DISABLE KEYS */;
INSERT INTO `vms_emaildaten` (`uid`, `emailadresse`, `freigabe_fuer`) VALUES (1,'isaack0815@gmail.com',1),(11,'drericlaufer@gmx.de',1),(12,'sitcoin@yandex.com',1),(13,'bla@bla.de',1);
/*!40000 ALTER TABLE `vms_emaildaten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_fb_blacklist`
--

DROP TABLE IF EXISTS `vms_fb_blacklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_fb_blacklist` (
  `sponsor` varchar(255) NOT NULL,
  `kid` int(10) NOT NULL,
  `grund` tinyint(1) NOT NULL,
  `werbeart` varchar(255) NOT NULL,
  `tan` text NOT NULL,
  UNIQUE KEY `sponsor` (`sponsor`,`kid`,`werbeart`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_fb_blacklist`
--

LOCK TABLES `vms_fb_blacklist` WRITE;
/*!40000 ALTER TABLE `vms_fb_blacklist` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_fb_blacklist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_gebuchte_werbung`
--

DROP TABLE IF EXISTS `vms_gebuchte_werbung`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_gebuchte_werbung` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `tan` varchar(32) NOT NULL DEFAULT '',
  `kid` int(11) NOT NULL DEFAULT '0',
  `ziel` varchar(250) NOT NULL DEFAULT '',
  `banner` varchar(250) NOT NULL DEFAULT '',
  `betreff` text NOT NULL,
  `text` longtext NOT NULL,
  `verdienst` double(10,2) NOT NULL DEFAULT '0.00',
  `preis` double(10,2) NOT NULL DEFAULT '0.00',
  `aufendhalt` int(11) NOT NULL DEFAULT '0',
  `menge` int(11) NOT NULL DEFAULT '0',
  `reload` int(11) NOT NULL DEFAULT '0',
  `sponsor` varchar(25) NOT NULL DEFAULT '',
  `werbeart` varchar(50) NOT NULL DEFAULT '',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  KEY `klick4` (`werbeart`,`menge`,`status`,`verdienst`,`sponsor`),
  KEY `crons` (`sponsor`,`werbeart`,`status`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_gebuchte_werbung`
--

LOCK TABLES `vms_gebuchte_werbung` WRITE;
/*!40000 ALTER TABLE `vms_gebuchte_werbung` DISABLE KEYS */;
INSERT INTO `vms_gebuchte_werbung` (`uid`, `tan`, `kid`, `ziel`, `banner`, `betreff`, `text`, `verdienst`, `preis`, `aufendhalt`, `menge`, `reload`, `sponsor`, `werbeart`, `status`) VALUES (0,'bV57H6KzquoJVJXps4XqSbAGxqPjTbk6',0,'https://vms1-scripte.de','http://www.allways-slots.com/img/a/aw468.gif','','',100.00,0.00,10,90,130,'administrator','forcedbanner',1),(0,'iubwüvoub49uvbswivb',0,'https://vms1-scripte.de','','Test','Das ist ein reiner test der nichts zu sagen hat.',120000.00,0.00,20,1000,20,'administrator','paidmail',1);
/*!40000 ALTER TABLE `vms_gebuchte_werbung` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_geburtstag`
--

DROP TABLE IF EXISTS `vms_geburtstag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_geburtstag` (
  `geb_mail` int(11) NOT NULL,
  `geb_hoehe` double(100,2) NOT NULL,
  `geb_text` longtext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_geburtstag`
--

LOCK TABLES `vms_geburtstag` WRITE;
/*!40000 ALTER TABLE `vms_geburtstag` DISABLE KEYS */;
INSERT INTO `vms_geburtstag` (`geb_mail`, `geb_hoehe`, `geb_text`) VALUES (1,100.00,'Hallo du da');
/*!40000 ALTER TABLE `vms_geburtstag` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_interface`
--

DROP TABLE IF EXISTS `vms_interface`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_interface` (
  `interface` varchar(50) NOT NULL DEFAULT '',
  `betreiber` int(7) NOT NULL DEFAULT '0',
  `seite` int(7) NOT NULL DEFAULT '0',
  `pass` varchar(50) NOT NULL DEFAULT '',
  `eigenverdienst` int(2) NOT NULL DEFAULT '0',
  `mindestverguetung` double(8,6) NOT NULL DEFAULT '0.000000',
  `restklicks` int(4) NOT NULL DEFAULT '0',
  `umrechnung` double(10,4) NOT NULL DEFAULT '0.0000',
  `aufendhalt` int(3) NOT NULL DEFAULT '0',
  `surfview` double(10,2) NOT NULL DEFAULT '0.00',
  `surfklick` double(10,2) NOT NULL DEFAULT '0.00',
  KEY `interface` (`interface`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_interface`
--

LOCK TABLES `vms_interface` WRITE;
/*!40000 ALTER TABLE `vms_interface` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_interface` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_kontodaten`
--

DROP TABLE IF EXISTS `vms_kontodaten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_kontodaten` (
  `uid` int(7) NOT NULL AUTO_INCREMENT,
  `passwort` char(100) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `hinweis` longtext NOT NULL,
  `kontostand_a` double(100,2) NOT NULL DEFAULT '0.00',
  `kontostand_b` double(100,2) NOT NULL DEFAULT '0.00',
  `login_ip` varchar(15) NOT NULL DEFAULT '',
  `loginzeit` int(11) NOT NULL DEFAULT '0',
  `last_active` int(11) NOT NULL DEFAULT '0',
  `klicks` bigint(20) NOT NULL DEFAULT '0',
  `p_klicks` int(11) NOT NULL,
  `kv` double(100,2) NOT NULL DEFAULT '0.00',
  `angebettelt` bigint(20) NOT NULL DEFAULT '0',
  `bv` double(100,2) NOT NULL DEFAULT '0.00',
  `bettel_sperre` int(11) NOT NULL DEFAULT '0',
  `forced_sperre` int(11) NOT NULL DEFAULT '0',
  `chat_sperre` int(11) NOT NULL DEFAULT '0',
  `fc_klicks` int(100) NOT NULL,
  `fc_trys` int(10) NOT NULL,
  `s_aufrufe` int(11) NOT NULL,
  `s_verdienst` double(100,2) NOT NULL,
  `auszahlung_sperre` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_kontodaten`
--

LOCK TABLES `vms_kontodaten` WRITE;
/*!40000 ALTER TABLE `vms_kontodaten` DISABLE KEYS */;
INSERT INTO `vms_kontodaten` (`uid`, `passwort`, `status`, `hinweis`, `kontostand_a`, `kontostand_b`, `login_ip`, `loginzeit`, `last_active`, `klicks`, `p_klicks`, `kv`, `angebettelt`, `bv`, `bettel_sperre`, `forced_sperre`, `chat_sperre`, `fc_klicks`, `fc_trys`, `s_aufrufe`, `s_verdienst`, `auszahlung_sperre`) VALUES (1,'73238e5a5177906079438bbbffaa2ec1dd3c09fd739aa686c5cf24dfde21407e',1,'',0.00,15274.00,'',1550492533,1550492539,53,0,5300.00,4,709.44,0,0,0,53,0,16,0.00,1),(11,'da32b5c51d847e958d3dd19b47f25a33d23368c7b8a6bba2c1637ac86bbc585f',2,'',0.00,0.00,'',0,0,0,0,0.00,0,0.00,0,0,0,0,0,0,0.00,0),(12,'ebc82ba5af8a6e39ba1353758368bc6bd65d2ee129d5c59521cda4e5b5014f9a',1,'',0.00,0.00,'178.24.242.114',1541464772,1541464872,0,0,0.00,0,0.00,0,0,0,0,0,0,0.00,0),(13,'da32b5c51d847e958d3dd19b47f25a33d23368c7b8a6bba2c1637ac86bbc585f',0,'',0.00,0.00,'',0,0,0,0,0.00,0,0.00,0,0,0,0,0,0,0.00,0);
/*!40000 ALTER TABLE `vms_kontodaten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_links_user`
--

DROP TABLE IF EXISTS `vms_links_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_links_user` (
  `link` text NOT NULL,
  `name` text NOT NULL,
  `box` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_links_user`
--

LOCK TABLES `vms_links_user` WRITE;
/*!40000 ALTER TABLE `vms_links_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_links_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_menu_admin`
--

DROP TABLE IF EXISTS `vms_menu_admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_menu_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `link` text NOT NULL,
  `name` text NOT NULL,
  `ordnung` double(10,2) NOT NULL,
  `box` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_menu_admin`
--

LOCK TABLES `vms_menu_admin` WRITE;
/*!40000 ALTER TABLE `vms_menu_admin` DISABLE KEYS */;
INSERT INTO `vms_menu_admin` (`id`, `uid`, `link`, `name`, `ordnung`, `box`) VALUES (1,0,'usersystem/liste','Userliste',1.00,4),(2,0,'usersystem/doppelaccis','Doppelaccounts',1.10,4),(3,0,'usersystem/RefSchleifen','Refschleifen',1.20,4),(4,0,'newssystem/news','News schreiben',1.00,5),(5,0,'interfacedaten/pageconfig','Grundeinstellungen',1.00,6),(6,0,'interfacedaten/crons','Crons',1.10,6),(7,0,'interfacedaten/betreiber','Betreiberdaten',1.20,6),(8,0,'phpinfo','PHPInfo',1.21,6),(9,0,'interfacedaten/boxen_user','Boxverwaltung User',1.30,6),(10,0,'interfacedaten/boxen_admin','Boxverwaltung Admin',1.31,6),(11,0,'interfacedaten/menue_user','Menüverwaltung User',1.40,6),(12,0,'interfacedaten/menue_admin','Menüverwaltung Admin',1.41,6),(13,0,'texte/alternativwerbung','Alternativwerbung',1.00,7),(17,0,'werbesystem/forcedbanner_468','Forced 468',1.00,8),(18,0,'werbesystem/paidmail','Paidmails verschicken',2.00,8),(19,0,'werbesystem/paidmail_hist','Paidmail History',3.00,8),(20,0,'interfacebanner/admin','Adminbanner',1.00,9),(21,0,'interfacebanner/blacklist','Blacklist',2.00,9),(26,0,'interfacedaten/chat_einstellungen','Chat Einstellungen',1.22,6),(27,0,'cms/neue_seite','Neue Seite erstellen',1.00,10),(28,0,'cms/bearbeiten_seite','Seiten bearbeiten',2.00,10),(30,0,'texte/startseite','Startseitentext',5.00,7),(31,0,'buchungen','User-Buchungen',1.30,4),(32,0,'interfacedaten/db_backup','Datenbank Backup',1.51,6),(33,0,'texte/texte','Texte bearbeiten',1.00,7);
/*!40000 ALTER TABLE `vms_menu_admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_menu_user`
--

DROP TABLE IF EXISTS `vms_menu_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_menu_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `link` text NOT NULL,
  `name` text NOT NULL,
  `ordnung` double(10,2) NOT NULL,
  `box` int(11) NOT NULL,
  `cms_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_menu_user`
--

LOCK TABLES `vms_menu_user` WRITE;
/*!40000 ALTER TABLE `vms_menu_user` DISABLE KEYS */;
INSERT INTO `vms_menu_user` (`id`, `uid`, `link`, `name`, `ordnung`, `box`, `cms_id`) VALUES (5,0,'konto/uebersicht','Kontoübersicht',1.00,6,0),(6,0,'konto/einzahlen','Einzahlen',1.21,6,0),(7,6,'konto/auszahlen','Auszahlen',1.20,6,0),(8,7,'konto/buchungen','Buchungen',1.30,6,0),(9,0,'konto/refuebersicht','Refübersicht',1.40,6,0),(10,0,'konto/userprofil','Userprofil',1.50,6,0),(11,0,'intern/startseite&logout=true','Logout',2.00,6,0),(12,0,'verdienen/forcedbanner','Forcedbanner',1.00,7,0),(13,0,'verdienen/betteln4','Betteln4Lose',1.10,7,0),(14,0,'verdienen/paidmails','Paidmails',1.20,7,0),(15,0,'framebrecher','Framebrecher',1.00,8,0);
/*!40000 ALTER TABLE `vms_menu_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_multi_konten`
--

DROP TABLE IF EXISTS `vms_multi_konten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_multi_konten` (
  `uid` int(1) unsigned NOT NULL,
  `kontoid` varchar(32) NOT NULL,
  `waehrung` varchar(32) NOT NULL,
  KEY `uid` (`uid`,`kontoid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_multi_konten`
--

LOCK TABLES `vms_multi_konten` WRITE;
/*!40000 ALTER TABLE `vms_multi_konten` DISABLE KEYS */;
INSERT INTO `vms_multi_konten` (`uid`, `kontoid`, `waehrung`) VALUES (1,'330007','klamm');
/*!40000 ALTER TABLE `vms_multi_konten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_news`
--

DROP TABLE IF EXISTS `vms_news`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zeit` int(11) NOT NULL DEFAULT '0',
  `titel` varchar(60) NOT NULL DEFAULT '',
  `news` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_news`
--

LOCK TABLES `vms_news` WRITE;
/*!40000 ALTER TABLE `vms_news` DISABLE KEYS */;
INSERT INTO `vms_news` (`id`, `zeit`, `titel`, `news`) VALUES (1,1459700771,'Erste News','Das ist eine Test News'),(2,1549199863,'Das ist der Titel','&lt;p&gt;Das ist der Text dazu&lt;/p&gt;\r\n'),(4,1549200691,'hallo nochmal','<p>Das sollte jetzt per mail raus kommen</p>\r\n');
/*!40000 ALTER TABLE `vms_news` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_news_komment`
--

DROP TABLE IF EXISTS `vms_news_komment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_news_komment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `datum` int(11) NOT NULL,
  `news` int(11) NOT NULL,
  `kommentar` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_news_komment`
--

LOCK TABLES `vms_news_komment` WRITE;
/*!40000 ALTER TABLE `vms_news_komment` DISABLE KEYS */;
INSERT INTO `vms_news_komment` (`id`, `uid`, `datum`, `news`, `kommentar`) VALUES (1,1,1459701800,1,'Das ist der erste Test'),(40,1,1549200691,4,'Das ist der erste');
/*!40000 ALTER TABLE `vms_news_komment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_nickpage`
--

DROP TABLE IF EXISTS `vms_nickpage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_nickpage` (
  `uid` int(11) NOT NULL,
  `sex` text NOT NULL,
  `ort` text NOT NULL,
  `land` text NOT NULL,
  `hobbys` longtext NOT NULL,
  `beruf` text NOT NULL,
  `icq` int(11) NOT NULL,
  `msn` text NOT NULL,
  `aim` text NOT NULL,
  `skype` text NOT NULL,
  `www` text NOT NULL,
  `www1` text NOT NULL,
  `www2` text NOT NULL,
  `www3` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_nickpage`
--

LOCK TABLES `vms_nickpage` WRITE;
/*!40000 ALTER TABLE `vms_nickpage` DISABLE KEYS */;
INSERT INTO `vms_nickpage` (`uid`, `sex`, `ort`, `land`, `hobbys`, `beruf`, `icq`, `msn`, `aim`, `skype`, `www`, `www1`, `www2`, `www3`) VALUES (1,'','Freiberg','Deutschland','keine','blÃ¶d',319565870,'keine@keine.de','jfiobvhv','b@b.de','','','',''),(2,'','','','','',0,'','','','','','',''),(3,'','','','','',0,'','','','','','',''),(4,'','','','','',0,'','','','','','',''),(10,'','','','','',0,'','','','','','',''),(11,'','','','','',0,'','','','','','',''),(12,'','','','','',0,'','','','','','',''),(13,'','','','','',0,'','','','','','','');
/*!40000 ALTER TABLE `vms_nickpage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_rallydaten`
--

DROP TABLE IF EXISTS `vms_rallydaten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_rallydaten` (
  `id` tinyint(1) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `beschrieb` longtext NOT NULL,
  `status` enum('aktive','deaktiviert') NOT NULL,
  `start` int(11) NOT NULL DEFAULT '0',
  `ende_art` enum('punkt','zeit') NOT NULL DEFAULT 'zeit' COMMENT 'nach was die rally beendet wird',
  `ende_zeit` int(11) NOT NULL DEFAULT '0',
  `ende_punkte` double(15,2) NOT NULL,
  `ende_punkte_aktuell` double(15,2) NOT NULL DEFAULT '0.00' COMMENT 'wie viel schon erreicht ist von ende_punkte',
  `ende_punkte_anzahl` varchar(10) NOT NULL,
  `ende_formulierung` varchar(50) NOT NULL DEFAULT '' COMMENT 'Was in der Seite fr eine formulierung steht',
  `ende_vortschritt` enum('Jeden Tag','Jede Woche','Jeden Monat','Jedes Jahr','datum') NOT NULL DEFAULT 'datum',
  `gewinn_art` enum('statisch','dynamisch') NOT NULL DEFAULT 'statisch' COMMENT 'gewinntopf dynmaisch oder statisch',
  `gewinn_dyn_steigerung` varchar(50) NOT NULL DEFAULT '0.00' COMMENT 'steigerung des gewinnes bei dynamisch',
  `gewinn_topf` double(15,2) NOT NULL DEFAULT '0.00',
  `gewinner_anzahl` enum('0','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24','25','26','27','28','29','30','31','32','33','34','35','36','37','38','39','40','41','42','43','44','45','46','47','48','49','50') NOT NULL DEFAULT '0',
  `mindestpunktzhl` int(10) NOT NULL DEFAULT '0',
  `sperruser` varchar(200) NOT NULL,
  `tagpotstart` double(15,2) NOT NULL,
  `einheit` varchar(50) NOT NULL,
  `p1` double(10,2) NOT NULL DEFAULT '0.00',
  `p2` double(10,2) NOT NULL DEFAULT '0.00',
  `p3` double(10,2) NOT NULL DEFAULT '0.00',
  `p4` double(10,2) NOT NULL DEFAULT '0.00',
  `p5` double(10,2) NOT NULL DEFAULT '0.00',
  `p6` double(10,2) NOT NULL DEFAULT '0.00',
  `p7` double(10,2) NOT NULL DEFAULT '0.00',
  `p8` double(10,2) NOT NULL DEFAULT '0.00',
  `p9` double(10,2) NOT NULL DEFAULT '0.00',
  `p10` double(10,2) NOT NULL DEFAULT '0.00',
  `p11` double(10,2) NOT NULL DEFAULT '0.00',
  `p12` double(10,2) NOT NULL DEFAULT '0.00',
  `p13` double(10,2) NOT NULL DEFAULT '0.00',
  `p14` double(10,2) NOT NULL DEFAULT '0.00',
  `p15` double(10,2) NOT NULL DEFAULT '0.00',
  `p16` double(10,2) NOT NULL DEFAULT '0.00',
  `p17` double(10,2) NOT NULL DEFAULT '0.00',
  `p18` double(10,2) NOT NULL DEFAULT '0.00',
  `p19` double(10,2) NOT NULL DEFAULT '0.00',
  `p20` double(10,2) NOT NULL DEFAULT '0.00',
  `p21` double(10,2) NOT NULL DEFAULT '0.00',
  `p22` double(10,2) NOT NULL DEFAULT '0.00',
  `p23` double(10,2) NOT NULL DEFAULT '0.00',
  `p24` double(10,2) NOT NULL DEFAULT '0.00',
  `p25` double(10,2) NOT NULL DEFAULT '0.00',
  `p26` double(10,2) NOT NULL DEFAULT '0.00',
  `p27` double(10,2) NOT NULL DEFAULT '0.00',
  `p28` double(10,2) NOT NULL DEFAULT '0.00',
  `p29` double(10,2) NOT NULL DEFAULT '0.00',
  `p30` double(10,2) NOT NULL DEFAULT '0.00',
  `p31` double(10,2) NOT NULL DEFAULT '0.00',
  `p32` double(10,2) NOT NULL DEFAULT '0.00',
  `p33` double(10,2) NOT NULL DEFAULT '0.00',
  `p34` double(10,2) NOT NULL DEFAULT '0.00',
  `p35` double(10,2) NOT NULL DEFAULT '0.00',
  `p36` double(10,2) NOT NULL DEFAULT '0.00',
  `p37` double(10,2) NOT NULL DEFAULT '0.00',
  `p38` double(10,2) NOT NULL DEFAULT '0.00',
  `p39` double(10,2) NOT NULL DEFAULT '0.00',
  `p40` double(10,2) NOT NULL DEFAULT '0.00',
  `p41` double(10,2) NOT NULL DEFAULT '0.00',
  `p42` double(10,2) NOT NULL DEFAULT '0.00',
  `p43` double(10,2) NOT NULL DEFAULT '0.00',
  `p44` double(10,2) NOT NULL DEFAULT '0.00',
  `p45` double(10,2) NOT NULL DEFAULT '0.00',
  `p46` double(10,2) NOT NULL DEFAULT '0.00',
  `p47` double(10,2) NOT NULL DEFAULT '0.00',
  `p48` double(10,2) NOT NULL DEFAULT '0.00',
  `p49` double(10,2) NOT NULL DEFAULT '0.00',
  `p50` double(10,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`),
  FULLTEXT KEY `sperruser` (`sperruser`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_rallydaten`
--

LOCK TABLES `vms_rallydaten` WRITE;
/*!40000 ALTER TABLE `vms_rallydaten` DISABLE KEYS */;
INSERT INTO `vms_rallydaten` (`id`, `name`, `beschrieb`, `status`, `start`, `ende_art`, `ende_zeit`, `ende_punkte`, `ende_punkte_aktuell`, `ende_punkte_anzahl`, `ende_formulierung`, `ende_vortschritt`, `gewinn_art`, `gewinn_dyn_steigerung`, `gewinn_topf`, `gewinner_anzahl`, `mindestpunktzhl`, `sperruser`, `tagpotstart`, `einheit`, `p1`, `p2`, `p3`, `p4`, `p5`, `p6`, `p7`, `p8`, `p9`, `p10`, `p11`, `p12`, `p13`, `p14`, `p15`, `p16`, `p17`, `p18`, `p19`, `p20`, `p21`, `p22`, `p23`, `p24`, `p25`, `p26`, `p27`, `p28`, `p29`, `p30`, `p31`, `p32`, `p33`, `p34`, `p35`, `p36`, `p37`, `p38`, `p39`, `p40`, `p41`, `p42`, `p43`, `p44`, `p45`, `p46`, `p47`, `p48`, `p49`, `p50`) VALUES (1,'Tagesklick',' Diese rally wird TÃ¤glich um Mitternacht neugestartet','aktive',1230768000,'zeit',1388534400,0.00,0.00,'*0+1','mal die Maus gequÃ¤lt','Jeden Tag','dynamisch','/100*2.5',0.00,'10',50,' ',100000.00,' Klicks',45.00,20.00,10.00,5.00,4.00,3.50,3.00,2.50,2.00,1.50,1.00,0.90,0.70,0.50,0.40,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00),(4,'Klick',' ','deaktiviert',0,'zeit',0,0.00,0.00,'0',' ','datum','statisch','0.00',0.00,'0',0,' ',0.00,' ',0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00),(6,'Aktive',' ','deaktiviert',0,'zeit',0,0.00,0.00,'0',' ','datum','statisch','0.00',0.00,'0',0,' ',0.00,' ',0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00),(7,'Bettel',' ','deaktiviert',0,'zeit',0,0.00,0.00,'0',' ','datum','statisch','0.00',0.00,'0',0,' ',0.00,' ',0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00,0.00);
/*!40000 ALTER TABLE `vms_rallydaten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_rallyorte`
--

DROP TABLE IF EXISTS `vms_rallyorte`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_rallyorte` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `welche_rallys` varchar(1000) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_rallyorte`
--

LOCK TABLES `vms_rallyorte` WRITE;
/*!40000 ALTER TABLE `vms_rallyorte` DISABLE KEYS */;
INSERT INTO `vms_rallyorte` (`id`, `name`, `welche_rallys`) VALUES (1,'Forcedbanner-Normal','1,4,6'),(2,'Paidmails-Normal','1,4,6'),(6,'Betteln','6,7');
/*!40000 ALTER TABLE `vms_rallyorte` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_rallyuser`
--

DROP TABLE IF EXISTS `vms_rallyuser`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_rallyuser` (
  `rally` char(20) NOT NULL DEFAULT '0',
  `uid` int(7) NOT NULL DEFAULT '0',
  `punkte` int(11) NOT NULL DEFAULT '0',
  `ausgezahlt` int(11) NOT NULL DEFAULT '0',
  `auszahlungssumme` double(15,2) NOT NULL,
  PRIMARY KEY (`rally`,`uid`,`ausgezahlt`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_rallyuser`
--

LOCK TABLES `vms_rallyuser` WRITE;
/*!40000 ALTER TABLE `vms_rallyuser` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_rallyuser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_reloads`
--

DROP TABLE IF EXISTS `vms_reloads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_reloads` (
  `ip` varchar(15) NOT NULL DEFAULT '',
  `uid` int(7) NOT NULL DEFAULT '0',
  `tan` varchar(32) NOT NULL DEFAULT '',
  `bis` int(10) NOT NULL DEFAULT '0',
  KEY `klick4` (`tan`,`uid`,`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_reloads`
--

LOCK TABLES `vms_reloads` WRITE;
/*!40000 ALTER TABLE `vms_reloads` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_reloads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_run_inc`
--

DROP TABLE IF EXISTS `vms_run_inc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_run_inc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `value` text NOT NULL,
  `datei` text NOT NULL,
  `beschreibung` text NOT NULL,
  `berechtigung` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_run_inc`
--

LOCK TABLES `vms_run_inc` WRITE;
/*!40000 ALTER TABLE `vms_run_inc` DISABLE KEYS */;
INSERT INTO `vms_run_inc` (`id`, `name`, `value`, `datei`, `beschreibung`, `berechtigung`) VALUES (1,'chat_absenden','Absenden','chat.php','Chat absenden',0),(2,'news_komment','Kommentar Speichern','news/kommentar.php','News Kommentieren',0),(3,'anmelden','Jetzt anmelden!','konto/anmelden.php','Registrtieren',0),(4,'auszahlen','Auszahlen','konto/auszahlen.php','Auszahlen',0),(5,'ueberweisen','Senden','konto/ueberweisen.php','Überweisen',0),(6,'aendern_nickpage','Speichern','konto/nickpage.php','Nickpage Speichern',0),(7,'checkid','Login','session/login.php','Login',0),(8,'anf_daten','Anfordern!','konto/daten.php','Passwort anfordern',0),(9,'admin_box_save','Speichern','boxen/box_save.php','Menübox Adminbereich erstellen',1),(10,'admin_box_loschen','Löschen','boxen/loschen.php','Menüboxen admin löschen',1),(11,'admin_box_aendern','Ändern','boxen/box_edit.php','Menübocen admin bearbeiten',1),(12,'box_save','Speichern','boxen/boxen_neu.php','Menüboxen User erstellen',1),(13,'aendern','Ändern','boxen/andern.php','Menüboxen User bearbeiten',1),(14,'box_loschen','Löschen','boxen/loschen.php','Menüboxen User löschen',1),(15,'link_zuordnen_neu','Bearbeiten','menu/zuordnung_menu_neu.php','',1),(16,'link_zuordnen_loschen','Löschen','menu/zuordnung_menu_neu_losch.php','',1),(17,'menue_neu_save','Anlegen','menu/menu_neu.php','',1),(18,'link_bearbeiten','','menu/menu_bearbeiten.php','',1),(19,'link_menu_user_delete','löschen','menu/menu_loschen.php','',1),(20,'admin_link_zuordnen_neu','','menu/admin_zuordnung_menu_neu.php','',1),(21,'admin_link_zuordnen_loschen','','menu/admin_zuordnung_menu_neu_losch.php','',1),(22,'admin_menue_neu_save','','menu/admin_menu_neu.php','',1),(23,'admin_link_bearbeiten','','menu/admin_menu_bearbeiten.php','',1),(24,'link_menu_admin_delete','löschen','menu/menu_loschen.php','',1),(28,'chat_save','Chat Einstellungen Speichern','chat/einstellungen.php','',1),(29,'chat_nachricht_loeschen','Löschen','chat/nachrichten_loeschen.php','',1),(30,'seite_save','Speichern','cms/neue_seite.php','',1),(31,'updaten_betreiberdaten','Updaten','class/betreiber.class.php','',1),(33,'einzahlen','Einzahlen','konto/einzahlen.php','',0),(34,'aendern','Jetzt ändern!','konto/user_daten.php','',0),(35,'pw_neu','Speichern','konto/pass_neu.php','',0),(36,'acc_del','Jetzt löschen!','konto/delete_acc.php','',0),(37,'profile_save','Allgemeine Daten Speichern','user/profil.php','',1),(38,'notice','Notiz hinzufügen','user/notiz.php','User Notizen hinzufügen',1),(39,'FBbuchen','Jetzt Buchen','werbung/FBEintragen.php','Forcedbanner Eintragen',1),(40,'PaidMailSenden','Jetzt Buchen','werbung/PaidMailSenden.php','Paidmail Senden',1),(41,'FBDelete','Löschen','werbung/FBDelete.php','Banner Löschen',1),(42,'updaten','Updaten !','setting/grundeinstellung.php','Grundeinstellungen Speichern',1),(43,'link_menu_user_update','Speichern','menu/menu_bearbeiten.php','bearbeiten von Links im Menü',1),(44,'news4','Seite','news.php','News ohne Newsletter',1),(45,'news3','Newsletter','news.php','Nur Newsletter',1),(46,'news2','Newsletter und Seite','news.php','Newsletter und Seite',1),(47,'news_delete','löschen','news.php','News löschen',1),(49,'TexteUpdaten','Updaten !','texte/texte.php','Texte speichern',1),(50,'menue_neu_save','Speichern','menu/menu_neu.php','Neuen Menüpunkt anlegen',1);
/*!40000 ALTER TABLE `vms_run_inc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_schnittstelle`
--

DROP TABLE IF EXISTS `vms_schnittstelle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_schnittstelle` (
  `name` text NOT NULL,
  `betreiber_id` int(8) NOT NULL DEFAULT '0',
  `betreiber_passwort` varchar(50) NOT NULL DEFAULT '',
  `betreiber_kennung` int(8) NOT NULL DEFAULT '0',
  `schnittstelle` varchar(20) NOT NULL DEFAULT '',
  `einzahltext` varchar(40) NOT NULL DEFAULT '',
  `auszahltext` varchar(40) NOT NULL DEFAULT '',
  `einzahlsumme` int(11) NOT NULL DEFAULT '0',
  `auszahlsumme` int(11) NOT NULL DEFAULT '0',
  `anfragen_tag` int(11) NOT NULL DEFAULT '0',
  `anfragen_user` int(11) NOT NULL DEFAULT '0',
  `aktiv` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `aktiv_ein` int(11) NOT NULL DEFAULT '0',
  `aktiv_aus` int(11) NOT NULL DEFAULT '0',
  `waehrung_name` varchar(32) NOT NULL DEFAULT '0',
  `punktewert` double NOT NULL DEFAULT '0',
  `wertepunkt` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`schnittstelle`),
  KEY `aktiv` (`aktiv`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_schnittstelle`
--

LOCK TABLES `vms_schnittstelle` WRITE;
/*!40000 ALTER TABLE `vms_schnittstelle` DISABLE KEYS */;
INSERT INTO `vms_schnittstelle` (`name`, `betreiber_id`, `betreiber_passwort`, `betreiber_kennung`, `schnittstelle`, `einzahltext`, `auszahltext`, `einzahlsumme`, `auszahlsumme`, `anfragen_tag`, `anfragen_user`, `aktiv`, `aktiv_ein`, `aktiv_aus`, `waehrung_name`, `punktewert`, `wertepunkt`) VALUES ('Klamm',17446,'6210c96a4f41a67cf0e7ca39a6b82c',26590,'klamm','Einzahlung Testseite','Auszahlung Testseite',1000,1000,0,0,1,1,1,'Klammlose',10,10);
/*!40000 ALTER TABLE `vms_schnittstelle` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_schnittstelle_anfragen`
--

DROP TABLE IF EXISTS `vms_schnittstelle_anfragen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_schnittstelle_anfragen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zeit` int(11) NOT NULL DEFAULT '0',
  `uid` int(7) NOT NULL DEFAULT '0',
  `betrag` double(100,2) NOT NULL,
  `art` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_schnittstelle_anfragen`
--

LOCK TABLES `vms_schnittstelle_anfragen` WRITE;
/*!40000 ALTER TABLE `vms_schnittstelle_anfragen` DISABLE KEYS */;
INSERT INTO `vms_schnittstelle_anfragen` (`id`, `zeit`, `uid`, `betrag`, `art`) VALUES (1,1540128002,1,1000000.00,''),(2,1540128018,1,1000000.00,''),(3,1540128065,1,1000000.00,''),(4,1540128095,1,1000000.00,'1'),(5,1540128121,1,1000000.00,'1'),(6,1540128170,1,1000000.00,'1'),(7,1540128185,1,1000000.00,'1'),(8,1540128210,1,1000000.00,'1'),(9,1540128263,1,1000000.00,'1'),(10,1540128300,1,1000000.00,'1'),(11,1540128334,1,1000000.00,'1'),(12,1540128355,1,1000000.00,'1'),(13,1540128380,1,1000000.00,'1'),(14,1540128407,1,1000000.00,'1'),(15,1540128426,1,1000000.00,'1'),(16,1540128540,1,1000000.00,'1'),(17,1540128587,1,1000000.00,'1'),(18,1540128671,1,1000000.00,'1'),(19,1540128714,1,1000000.00,'1');
/*!40000 ALTER TABLE `vms_schnittstelle_anfragen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_seitenkonfig`
--

DROP TABLE IF EXISTS `vms_seitenkonfig`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_seitenkonfig` (
  `wartung` int(1) NOT NULL DEFAULT '0',
  `domain` text NOT NULL,
  `seitenname` text NOT NULL,
  `waehrung` text NOT NULL,
  `betreibermail` text NOT NULL,
  `cron_pw` text NOT NULL,
  `einzahlgrenze` int(11) NOT NULL DEFAULT '0',
  `re1` double(10,2) NOT NULL DEFAULT '0.00',
  `re2` double(10,2) NOT NULL DEFAULT '0.00',
  `re3` double(10,2) NOT NULL DEFAULT '0.00',
  `min_betteln` double(10,2) NOT NULL DEFAULT '0.00',
  `max_betteln` double(10,2) NOT NULL DEFAULT '0.00',
  `reload_betteln` int(11) NOT NULL DEFAULT '0',
  `denied_domains` text NOT NULL,
  `admin_name` varchar(255) NOT NULL,
  `admin_pass` varchar(255) NOT NULL,
  `auszahlgrenze` double NOT NULL DEFAULT '100',
  `chat_aktiv` int(11) NOT NULL,
  `fake_schluessel` text NOT NULL,
  `anzeige_chat` int(11) NOT NULL,
  `anzeige_text` int(11) NOT NULL,
  `geb_addon` int(11) NOT NULL,
  `news_komment` int(11) NOT NULL,
  `buchungen_loeschen` int(11) NOT NULL DEFAULT '0',
  `buchungen_loeschen_tage` int(11) NOT NULL DEFAULT '0',
  `reload_start` int(11) NOT NULL,
  `verdienst_start` double(100,2) NOT NULL,
  `popup_start` tinyint(1) NOT NULL DEFAULT '1',
  `auszahlung_sperre` int(11) NOT NULL DEFAULT '0',
  `ip_erlaubt` text NOT NULL,
  `SMTP_HOST` text NOT NULL,
  `SMTP_PORT` int(8) NOT NULL,
  `SMTP_LOGIN` text NOT NULL,
  `SMTP_PASS` text NOT NULL,
  `kontostand_b` int(11) NOT NULL DEFAULT '0',
  `kontostand_b_name` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_seitenkonfig`
--

LOCK TABLES `vms_seitenkonfig` WRITE;
/*!40000 ALTER TABLE `vms_seitenkonfig` DISABLE KEYS */;
INSERT INTO `vms_seitenkonfig` (`wartung`, `domain`, `seitenname`, `waehrung`, `betreibermail`, `cron_pw`, `einzahlgrenze`, `re1`, `re2`, `re3`, `min_betteln`, `max_betteln`, `reload_betteln`, `denied_domains`, `admin_name`, `admin_pass`, `auszahlgrenze`, `chat_aktiv`, `fake_schluessel`, `anzeige_chat`, `anzeige_text`, `geb_addon`, `news_komment`, `buchungen_loeschen`, `buchungen_loeschen_tage`, `reload_start`, `verdienst_start`, `popup_start`, `auszahlung_sperre`, `ip_erlaubt`, `SMTP_HOST`, `SMTP_PORT`, `SMTP_LOGIN`, `SMTP_PASS`, `kontostand_b`, `kontostand_b_name`) VALUES (0,'http://vms-suee.vms1-scripte.de','Vms SUEE','suees','info@vms1-scripte.de','cronpw',100000,8.00,3.00,1.00,50.00,250.00,3600,'@sofort-mail.de;@trash-mail.de;@mailinator.com;@spamgourmet.com;@spammotel.com;@centermail.com;@discardmail.com;@sneakemail.com;@netzidiot.de;@myTrashMail.com;@wegwerfadresse.de;@nervmich.net;@nervtmich.net;@mailinator.net;@klassmaster.com;@mailin8r.com;@sogetthis.com;@mailinator2.com','YWRtaW4=','73238e5a5177906079438bbbffaa2ec1dd3c09fd739aa686c5cf24dfde21407e',100,2,'',0,0,1,1,0,0,3600,0.00,1,1,'','termin.coinhivepro.de',465,'termina@termin.coinhivepro.de','Lottchen27',1,'bonuswährung');
/*!40000 ALTER TABLE `vms_seitenkonfig` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_texte`
--

DROP TABLE IF EXISTS `vms_texte`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_texte` (
  `name` text NOT NULL,
  `text` longtext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_texte`
--

LOCK TABLES `vms_texte` WRITE;
/*!40000 ALTER TABLE `vms_texte` DISABLE KEYS */;
INSERT INTO `vms_texte` (`name`, `text`) VALUES ('AGB','<p>das sind die AGB2</p>\r\n'),('FAQ','<p>Das sind die FAQ3</p>\r\n'),('Wartungstext','<p>Das ist der Wartungstext4</p>\r\n');
/*!40000 ALTER TABLE `vms_texte` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_user_notizen`
--

DROP TABLE IF EXISTS `vms_user_notizen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_user_notizen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `datum` int(11) NOT NULL,
  `text` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_user_notizen`
--

LOCK TABLES `vms_user_notizen` WRITE;
/*!40000 ALTER TABLE `vms_user_notizen` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_user_notizen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_userblacklist`
--

DROP TABLE IF EXISTS `vms_userblacklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_userblacklist` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `zeit` bigint(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_userblacklist`
--

LOCK TABLES `vms_userblacklist` WRITE;
/*!40000 ALTER TABLE `vms_userblacklist` DISABLE KEYS */;
/*!40000 ALTER TABLE `vms_userblacklist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_userdaten`
--

DROP TABLE IF EXISTS `vms_userdaten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_userdaten` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `nickname` varchar(255) NOT NULL DEFAULT '',
  `vorname` varchar(50) NOT NULL DEFAULT '',
  `nachname` varchar(50) NOT NULL DEFAULT '',
  `angemeldet_seit` int(10) NOT NULL DEFAULT '0',
  `max_forced` int(11) NOT NULL DEFAULT '5',
  `max_paidlinks` int(11) NOT NULL DEFAULT '5',
  `notizen` text NOT NULL,
  `bdate` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_userdaten`
--

LOCK TABLES `vms_userdaten` WRITE;
/*!40000 ALTER TABLE `vms_userdaten` DISABLE KEYS */;
INSERT INTO `vms_userdaten` (`uid`, `nickname`, `vorname`, `nachname`, `angemeldet_seit`, `max_forced`, `max_paidlinks`, `notizen`, `bdate`) VALUES (1,'admin','g','g',1402062767,5,5,'',1520726400),(11,'testname2','testname2','testname2',1539083741,5,5,'',1115596800),(12,'Cashier','Cashier','Cashier',1541464730,5,5,'',1115942400),(13,'isaack','isaack','isaack',1542803424,5,5,'',1115596800);
/*!40000 ALTER TABLE `vms_userdaten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vms_werberdaten`
--

DROP TABLE IF EXISTS `vms_werberdaten`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vms_werberdaten` (
  `uid` int(7) NOT NULL DEFAULT '0',
  `werber` int(7) NOT NULL DEFAULT '0',
  `umsatz` double(10,2) NOT NULL DEFAULT '0.00',
  `zuordnungszeit` int(10) NOT NULL DEFAULT '0',
  `reset` double(10,2) NOT NULL DEFAULT '0.00',
  `resetzeit` int(11) NOT NULL DEFAULT '0',
  `gesamt` double(10,2) NOT NULL DEFAULT '0.00',
  `refback` int(3) NOT NULL DEFAULT '0',
  `aktivzeit` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vms_werberdaten`
--

LOCK TABLES `vms_werberdaten` WRITE;
/*!40000 ALTER TABLE `vms_werberdaten` DISABLE KEYS */;
INSERT INTO `vms_werberdaten` (`uid`, `werber`, `umsatz`, `zuordnungszeit`, `reset`, `resetzeit`, `gesamt`, `refback`, `aktivzeit`) VALUES (1,12,100.00,1402062767,0.00,0,0.00,0,1548680439),(12,1,0.00,1541464730,0.00,0,0.00,0,0),(11,0,0.00,1539083741,0.00,0,0.00,0,0),(13,0,0.00,1542803424,0.00,0,0.00,0,0);
/*!40000 ALTER TABLE `vms_werberdaten` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-02-18 13:53:42
