<!DOCTYPE html>
<html lang="de" dir="ltr">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />

		<title>Adminforce</title>

		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Montserrat:400,500|Poppins:400,500,600,700|Roboto:400,500" rel="stylesheet"/>
		<link href="https://cdn.materialdesignicons.com/3.0.39/css/materialdesignicons.min.css" rel="stylesheet" />

		<!-- PLUGINS CSS STYLE -->
		<link href="../plugins/toastr/toastr.min.css" type="text/css" rel="stylesheet" />
		<link href="../plugins/nprogress/nprogress.css" type="text/css" rel="stylesheet" />
		<link href="../plugins/flag-icons/css/flag-icon.min.css" type="text/css" rel="stylesheet"/>
		<link href="../plugins/jvectormap/jquery-jvectormap-2.0.3.css" type="text/css" rel="stylesheet" />
		<link href="../plugins/ladda/ladda.min.css" type="text/css" rel="stylesheet" />
		<link href="../plugins/select2/css/select2.min.css" type="text/css" rel="stylesheet" />
		<link href="../plugins/daterangepicker/daterangepicker.css" type="text/css" rel="stylesheet" />
		<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.css">
		
		<!-- SLEEK CSS -->
		<link id="sleek-css" rel="stylesheet" href="../css/sleek.css" />

		<!--
			HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries
		-->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
			<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
			<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<script src="../plugins/nprogress/nprogress.js"></script>
		<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDCn8TFXGg17HAUcNpkwtxxyT9Io9B_NcM" defer></script>
		<script src="../plugins/jquery/jquery.min.js"></script>
		<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
		<script src="../plugins/toastr/toastr.min.js"></script>
		<script src="../plugins/slimscrollbar/jquery.slimscroll.min.js"></script>
		<script src="../plugins/charts/Chart.min.js"></script>
		<script src="../plugins/ladda/spin.min.js"></script>
		<script src="../plugins/ladda/ladda.min.js"></script>
		<script src="../plugins/jquery-mask-input/jquery.mask.min.js"></script>
		<script src="../plugins/select2/js/select2.min.js"></script>
		<script src="../plugins/jvectormap/jquery-jvectormap-2.0.3.min.js"></script>
		<script src="../plugins/jvectormap/jquery-jvectormap-world-mill.js"></script>
		<script src="../plugins/daterangepicker/moment.min.js"></script>
		<script src="../plugins/daterangepicker/daterangepicker.js"></script>
		<script src="../plugins/jekyll-search.min.js"></script>
		<script src="../js/sleek.js"></script>
		<script src="../js/chart.js"></script>
		<script src="../js/date-range.js"></script>
		<script src="../js/map.js"></script>
		<script src="../js/custom.js"></script>
		<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
	</head>


	<body class="sidebar-fixed sidebar-dark header-light header-fixed" id="body">
		<script>
			NProgress.configure({ showSpinner: false });
			NProgress.start();
		</script>

    <div class="mobile-sticky-body-overlay"></div>

    <div class="wrapper">
        <aside class="left-sidebar bg-sidebar">
			<div id="sidebar" class="sidebar sidebar-with-footer">
				<!-- Aplication Brand -->
				<div class="app-brand">
					<a href="<?php echo $grundconfig->domain.'/adminforce';?>">
						<svg
							class="brand-icon"
							xmlns="http://www.w3.org/2000/svg"
							preserveAspectRatio="xMidYMid"
							width="30"
							height="33"
							viewBox="0 0 30 33"
						>
							<g fill="none" fill-rule="evenodd">
								<path
									class="logo-fill-blue"
									fill="#7DBCFF"
									d="M0 4v25l8 4V0zM22 4v25l8 4V0z"
								/>
								<path class="logo-fill-white" fill="#FFF" d="M11 4v25l8 4V0z" />
							</g>
						</svg>
						<span class="brand-name">Dashboard</span>
					</a>
				</div>
				<!-- begin sidebar scrollbar -->
				<div class="sidebar-scrollbar">
					<ul class="nav sidebar-inner" id="sidebar-menu">
						<li>
							<a class="sidenav-item-link" href="<?php echo $grundconfig->domain.'/adminforce';?>"
								aria-expanded="false" aria-controls="dashboard">
								<i class="mdi mdi-view-dashboard-outline"></i>
								<span class="nav-text">Dashboard</span></b>
							</a>
						</li>
						<?php if(isset($_SESSION['admin']) && $_SESSION['admin'] == 1) require_once('lib/menue_links.php');?>
					</ul>
				</div>
				<hr class="separator" />
			</div>
        </aside>

      

		<div class="page-wrapper">
			<header class="main-header " id="header">
				<nav class="navbar navbar-static-top navbar-expand-lg">
					<button id="sidebar-toggler" class="sidebar-toggle">
						<span class="sr-only">Toggle navigation</span>
					</button>
					<div class="search-form d-none d-lg-inline-block">
						<div class="input-group">
							<button type="button" name="search" id="search-btn" class="btn btn-flat">
								<i class="mdi mdi-magnify"></i>
							</button>
							<input type="text" name="query" id="search-input" class="form-control" placeholder="Suche ohne Funktion" autofocus autocomplete="off" />
						</div>
						<div id="search-results-container">
							<ul id="search-results"></ul>
						</div>
					</div>
					<a class="nav-link" href="?page=/bilanzsystem">Bilanz</a>
					<a class="nav-link" href="?page=/usersystem/liste">Userliste</a>
					<a class="btn btn-danger nav-link" href="?logout=true">Logout</a>
				</nav>


			</header>
			<div class="content-wrapper">
				<div class="content">
					<?php require_once($_SERVER['DOCUMENT_ROOT'].'/adminforce/page'. $_GET['page'] .'.php');?>
				</div>
			</div>
			<?php 
			if(!empty($meldung)){
			?>
			<script>
				$(window).load(function(){
					$('#meldung_modal').modal('show');
				});
			</script>
			
			<div class="modal" id="meldung_modal">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-body">
							<?php
								if($error == '1'){
									echo '
									<div class="alert alert-danger" role="alert">
									';
								}else{
									echo '
									<div class="alert alert-success" role="alert">
									';
								}
								
								echo $meldung;
							?>
							</div>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Schließen</button>
						</div>
					</div>
				</div>
			</div>
			<?php
			}
			?>

            <footer class="footer mt-auto">
				<div class="copyright bg-white">
					<p>
						&copy; <span id="copy-year">2019</span> Copyright Sleek Dashboard Bootstrap Template by <a class="text-primary" href="http://www.iamabdus.com/" target="_blank">Abdus</a>.
					</p>
				</div>
				<script>
					var d = new Date();
					var year = d.getFullYear();
					document.getElementById("copy-year").innerHTML = year;
				</script>
			</footer>

		</div>
    </div>
	</body>
</html>
