				<div class="row">
                    <div class="col-xl-3 col-sm-6">
						<div class="card card-mini mb-4">
							<div class="card-body">
								<h2 class="mb-1">71,503</h2>
								<p>Online Signups</p>
								<div class="chartjs-wrapper">
									<canvas id="barChart"></canvas>
								</div>
							</div>
						</div>
                    </div>
                    <div class="col-xl-3 col-sm-6">
						<div class="card card-mini  mb-4">
							<div class="card-body">
								<h2 class="mb-1">9,503</h2>
								<p>New Visitors Today</p>
								<div class="chartjs-wrapper">
									<canvas id="dual-line"></canvas>
								</div>
							</div>
						</div>
                    </div>
                    <div class="col-xl-3 col-sm-6">
						<div class="card card-mini mb-4">
							<div class="card-body">
								<h2 class="mb-1">71,503</h2>
								<p>Monthly Total Order</p>
								<div class="chartjs-wrapper">
									<canvas id="area-chart"></canvas>
								</div>
							</div>
						</div>
                    </div>
                    <div class="col-xl-3 col-sm-6">
						<div class="card card-mini mb-4">
							<div class="card-body">
								<h2 class="mb-1">9,503</h2>
								<p>Total Revenue This Year</p>
								<div class="chartjs-wrapper">
									<canvas id="line"></canvas>
								</div>
							</div>
						</div>
                    </div>
                </div>

<?php
if($_SESSION['admin'] == 1){
	require_once('lib/class/userliste.class.php');
	$User = new USERLISTE;
	$UserStat = $User->startseite();
	$Chart = $User->Chart();
	
	head("Bilanz der letzten 14 Tage");
		echo '<canvas class="my-4" id="BilanzChart" width="100%" height="10"></canvas>';
	foot();
	
    head("");
    echo '
		<div class="row">
			<div class="col-md-3">
				<table class="table table-striped">
					<tr>
						<td width="55%">Angemeldete User</td>
						<td align="right">'.@number_format($UserStat->kd_uid,0,",",".").'&nbsp;&nbsp;</td>
					</tr>
					<tr>
						<td>Gesamtguthaben</td>
						<td align="right">'.@number_format($UserStat->kd_kontostand,2,",",".").'&nbsp;&nbsp;</td>
					</tr>
					<tr>
						<td width="55%">Guth. pro User</td>
						<td align="right">'.@number_format($UserStat->kd_kontostand / $UserStat->kd_uid,2,",",".").'&nbsp;&nbsp;</td>
					</tr>
				</table>
			</div>
		</div>
    ';
foot();
    echo '</td>
    </tr></table>';
}
?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.min.js"></script>
<script>
      var ctx = document.getElementById("BilanzChart");
      var myChart = new Chart(ctx, {
        type: 'line',
        data: {
          labels: [<?php echo $Chart['label'];?>],
          datasets: [{
            data: [<?php echo $Chart['ges'];?>],
            lineTension: 0,
            backgroundColor: 'transparent',
            borderColor: '#007bff',
            borderWidth: 4,
            pointBackgroundColor: '#007bff'
          }]
        },
        options: {
          scales: {
            yAxes: [{
              ticks: {
                beginAtZero: false
              }
            }]
          },
          legend: {
            display: false,
          }
        }
      });
</script>
