<?php

class bilanz{
	private $db;
	
	function __construct(){
		global $datenbank;
		$this->db = $datenbank;
	}
	
	/**
	 * bilanz()
	 *
	 * @author vms1-scripte.de
	 * @category system
	 * @example bilanz(100,0,Spiele,Slotname);
	 * @param number $ein einnahme
	 * @param number $aus ausgabe
	 * @param number $gruppe Die Gruppe in die die Bilanz fallen soll
	 * @param number $was Der Name der in der Gruppe angezeigt werden soll
	 * @return keine
	 */
	public function bilanz ($ein,$aus,$gruppe,$name) {
		if(empty($ein)){ $ein = 0;}
		if(empty($aus)){ $aus = 0;}
		
		$datum = mktime(0,0,0,date("m",time()),date("d",time()),date("Y",time()));
		
		$array = array(
			"ein" => $this->db->escape($ein),
			"aus" => $this->db->escape($aus),
			"datum" => $datum,
			"gruppe" => $this->db->escape($gruppe),
			"name" => $this->db->escape($name)
		);
		$query = "SELECT id,ein,aus FROM ". PREFIX . BILANZ ." WHERE datum = '". $datum ."' AND name = '". $name ."' ";
		
		if($this->db->num_rows($query) == 0){
			$this->db->insert(PREFIX . BILANZ,$array);
		}else{
			$row = $this->db->get_row($query,true);
			$ein_neu = $row->ein + $array['ein'];
			$aus_neu = $row->aus + $array['aus'];
			$this->db->update(PREFIX . BILANZ,array("aus" => $aus_neu, "ein" => $ein_neu), array("datum" => $datum, "name" => $name));
		}
	}
}
