<?php

class chat{
	private $db;
	private $session = array();
	private $array = array();
	private $error = 0;
	private $meldung = '';
	private $ChatSetting;
	private $konto;
	private $post;
	private $smiley = array();
	
	function __construct(){
		global $datenbank,$_SESSION,$konto,$_POST;
		$this->db = $datenbank;
		$this->session = $this->db->escape($_SESSION);
		$this->ChatSetting = $this->db->get_row("SELECT sb_reload,sb_verguetung FROM ". PREFIX . CHATSE ." ",true);
		$this->konto = $konto;
		foreach($_POST AS $key => $value){
			if($key == 'inhalt'){
				$this->post[$key] = $this->db->escape($value);
			}
		}
		
		foreach($this->db->get_results("SELECT * FROM ". PREFIX . CHATP ." ") AS $res){
			$this->smiley[$res->kurz] = '<img src="images/chat/'. $res->pic .'" alt="'. $res->kurz .'">'; 
		}
	}
	
	private function ChattextSmiley($text){
		return strtr($text,$this->smiley);
		
	}
	
    public function getRestChatLines($id){
		$arr = array();
		$jsonData = '{"results":[';
		$db_connection = new mysqli( DB_HOST, DB_USER, DB_PASS, DB_BASS);
		$db_connection->query( "SET NAMES 'UTF8'" );
		$statement = $db_connection->prepare( "SELECT id, absender, nachricht, time FROM ". PREFIX . CHAT ." WHERE id > ?");
		$statement->bind_param( 'i', $id);
		$statement->execute();
		$statement->bind_result( $id, $usrname, $chattext, $chattime);
		$line = new stdClass;
		while ($statement->fetch()) {
			$line->id = $id;
			$line->usrname = $usrname;
			$line->chattext = $this->ChattextSmiley($chattext);
			$line->chattime = date('H:i:s', $chattime);
			$line->userpic = IMGtoBase64($this->UserPic($usrname));
			$arr[] = json_encode($line);
		}
		$statement->close();
		$db_connection->close();
		$jsonData .= implode(",", $arr);
		$jsonData .= ']}';
		return $jsonData;
    }
	
	private function UserPic($user){
		$rowpic = $this->db->get_row("SELECT ava FROM ". PREFIX . USER ." WHERE nickname = '". $user ."' ");
		if($rowpic[0] == ''){
			$bild = 'default.png';
		}else{
			$bild = $rowpic[0];
		}
		
		return $bild;
	}
    
    public static function setChatLines( $chattext, $usrname, $color) {
		$db_connection = new mysqli( DB_HOST, DB_USER, DB_PASS, DB_BASS);
		$db_connection->query( "SET NAMES 'UTF8'" );
		$statement = $db_connection->prepare( "INSERT INTO ". PREFIX . CHAT ."( usrname, color, chattext) VALUES(?, ?, ?)");
		$statement->bind_param( 'sss', $usrname, $color, $chattext);
		$statement->execute();
		$statement->close();
		$db_connection->close();
    }
    
    private function make_array($post){
		foreach($post AS $key => $value){
			if($key != '' && $value != 'Senden'){
				$this->post[$key] = $this->db->escape($value);
			}
		}
	}
	
	private function InsertPruef(){
		$sperre = $this->db->get_row("SELECT chat_sperre FROM ". PREFIX . KONTO ." WHERE uid = '". $this->session['uid'] ."' ",true);
		if($sperre->chat_sperre == '1'){ $this->error = 1; $this->meldung = 'Du bist für den Chat gesperrt.';}
		if(empty($this->post['inhalt'])){ $this->error = 1; $this->meldung = 'Bitte Text eingeben.';}
		if($this->session['uid'] <= 0){ $this->error = 1; $this->meldung = 'Ung&uuml;ltige User-ID.';}
	}
	
	private function InsertPunkte(){
		if($this->db->num_rows("SELECT * FROM ". PREFIX . RELOAD ." WHERE uid = '". $this->session['uid'] ."' AND tan = 'sb_reload' AND bis > '". time() ."' ") == 0){
			$this->konto->set_var($this->session['uid'],$this->ChatSetting->sb_verguetung,'+','Gutschrift chatbonus');
		}
	}
	
	private function InsertChat(){
		$user = $this->db->get_row("SELECT nickname FROM ". PREFIX . USER ." WHERE uid = '". $this->session['uid'] ."' ",true);
		$InsertArray = array(
			"absender" => $user->nickname,
			"nachricht" => $this->post['inhalt'],
			"time" => time()
		);
		$this->db->insert(PREFIX . CHAT,$InsertArray);
	}
    
    public function Insert($post){
		$this->make_array($post);
		$this->InsertPruef();
		if($this->error == 0){
			$this->InsertPunkte();
			$this->InsertChat();
		}
		meldung($this->error,$this->meldung);
	}
	
	private function Seiten(){
		$aus = '<div class="btn-group" role="group" aria-label="Basic example">';
		$anzahl = ceil($this->db->num_rows("SELECT id FROM ". PREFIX . CHAT ." ")/50);
		for($i = 1; $i <= $anzahl; $i++){
			$aus .= '<a href="?content=/chat/archiv&seite='. $i .'" class="btn btn-secondary">'. $i .'</a>';
		}
		$aus .= '</div>';
		return $aus;
	}
	
	private function navigationsLeiste($seite,$art,$link){      
		$string = '';
		$extVariables = '';
		$SitesComplete = ceil($this->db->num_rows("SELECT id FROM ". PREFIX . CHAT ." ")/50);
		$NavCeil = floor(NAV_LEISTE / 2);
		if($seite > 1){
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'=1'.$extVariables.'"><<</a>&nbsp;&nbsp;';
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.($seite-1).$extVariables.'">
				<</a>&nbsp;&nbsp;';
		}
		for($x=$seite-$NavCeil;$x<=$seite+$NavCeil;$x++){
			// Alle Seitenzahlen vor und nach der aktuellen Seite verlinken
			if(($x>0 && $x<$seite) || ($x>$seite && $x<=$SitesComplete))
				$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.$x.$extVariables.'">'.$x.'</a>&nbsp;&nbsp;';
			if($x==$seite)
				$string .= '<button class="btn btn-primary" disabled="disabled">'.$x . '</button>';
		}
		if($seite < $SitesComplete){
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.($seite+1).$extVariables.'">>
			 </a>&nbsp;&nbsp;';
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.$SitesComplete.$extVariables.'">>>
			  </a>&nbsp;&nbsp;';
		}
		return $string;
		
	}
	
	public function Archive($seite){
		$start = $seite * 50 - 50;
		$aus = '<ul class="list-group">';
		foreach($this->db->get_results("SELECT * FROM ". PREFIX . CHAT ." ORDER BY id DESC LIMIT $start,50") AS $res){
			$aus .= '
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-2 text-left">
							<img alt="'. $res->absender .'" src="'. IMGtoBase64($this->UserPic($res->absender)) .'" class="img-thumbnail rounded-circle" width="30">'. $res->absender .'<br>
							<small>'. date("d.m.Y H:i", $res->time) .'</small>
						</div>
						<div class="col-md-10 text-left">
							'. $res->nachricht .'
						</div>
					</div>
				</li>
			';
		}
		
		$aus .= '</ul><hr>';
		$aus .= '<div class="text-center">'.$this->navigationsLeiste($seite,"seite","?content=/chat/archiv").'</div>';
		return $aus;
	}
	
	public function Smileys(){
		$aus = '';
		foreach($this->db->get_results("SELECT * FROM ". PREFIX . CHATP ." ") AS $res){
			$aus .= '<img src="'.  IMGtoBase64($res->pic, 'chat') .'" onclick="InputValueAdd(\''. $res->kurz .'\');" class="avatar img-circle img-thumbnail" alt="avatar">';
		}
		
		return $aus;
	}
}
?>
