<?php

class userprofil {
	
	private $db;
	private $uid;
	private $delete_true = false;
	private $array = array();
	private $error = 0;
	private $meldung;
	private $session = array();
	
	public function __construct() {
		global $datenbank,$_SESSION;
		$this->db = $datenbank;
		$this->session = $this->db->escape($_SESSION);
	}
	
	public function set_uid($uid){
		if(!is_numeric($uid)){ $this->uid = 0;}else{ $this->uid = $this->db->escape($uid);}
	}
	
	public function get_daten(){
		$aus = $this->db->get_row("
		SELECT u.*, e.*, k.*, n.* FROM ". PREFIX . USER . " AS u LEFT JOIN  ". PREFIX . EMAIL . " AS e ON e.uid = u.uid LEFT JOIN ". PREFIX . KONTO ." AS k ON k.uid = u.uid LEFT JOIN ". PREFIX . NICKP ." AS n ON n.uid = u.uid WHERE u.uid = '" . $this->uid . "' ",true);
		return $aus;
	}
	
	public function delete_account($pw){
		$this->pass_pruef($pw);
		if($this->delete_true == true){
			$this->db->delete(PREFIX . KONTO , array("uid" => $this->uid),1);
			$this->db->delete(PREFIX . EMAIL, array("uid" => $this->uid),1);
			$this->db->delete(PREFIX . USER , array("uid" => $this->uid),1);
			$this->db->delete(PREFIX . WERBER , array("uid" => $this->uid),1);
			$this->db->update(PREFIX . WERBER, array("werber" => 0), array("werber" => $this->uid));
			$this->db->delete(PREFIX . BUCH , array("uid" => $this->uid),1);
			$this->db->delete(PREFIX . RELOAD , array("uid" => $this->uid),1);
			$this->db->delete(PREFIX . S_ANF , array("uid" => $this->uid),1);
			header('Location: '. $_SERVER['HTTP_HOST']);
		}else{
			$this->error = 1;
			$this->meldung = PASS_FALSE;
		}
		
		meldung($this->error,$this->meldung);
	}
	
	protected function pass_pruef($pw){
		if($this->db->num_rows("SELECT id FROM ". PREFIX . KONTO ." WHERE uid = '$this->uid' AND passwort = '". pw_erstellen($pw) ."' ") == 1){
			$this->delete_true = true;
		}
	}
	
	public function user_daten_save($post){
		$this->make_array($post);
		if ($this->array['newsletter'] == 0 and $this->array['paidmails'] == 0) $mailstatus = 0;
        if ($this->array['newsletter'] == 1 and $this->array['paidmails'] == 0) $mailstatus = 1;
        if ($this->array['newsletter'] == 0 and $this->array['paidmails'] == 1) $mailstatus = 2;
        if ($this->array['newsletter'] == 1 and $this->array['paidmails'] == 1) $mailstatus = 3;
		$array = array(
			"freigabe_fuer" => $mailstatus,
			"emailadresse" => $this->array['emailadresse']
		);
		$array_user = array(
			"vorname" => $this->array['vorname'],
			"nachname" => $this->array['nachname'],
			"max_forced" => $this->array['max_forced'],
			"max_paidlinks" => $this->array['max_paidlinks']
		);
		$update_mail = $this->db->update(PREFIX . EMAIL , $array, array("uid" => $this->uid), 1);
		if($update_mail == true){ $this->meldung .= MAILEMPFANG_TRUE;}else{$this->error = 1; $this->meldung .= MAILEMPFANG_FALSE;}
		$update_user = $this->db->update(PREFIX . USER , $array_user, array("uid" => $this->uid), 1);
		if($update_user == true){ $this->meldung .= BANNER_TRUE;}else{ $this->error = 1; $this->meldung .= BANNER_FALSE;}
		
		meldung($this->error,$this->meldung);
	}
	
	public function pw_erneuern($post){
		$this->make_array($post);
		if(empty($this->array['pwd']) OR empty($this->array['pwd2'])){ $this->error = 1; $this->meldung .= ANMELDEN_PASS1_FALSE;}
		if($this->array['pwd'] != $this->array['pwd2']){ $this->error = 1; $this->meldung .= ANMELDEN_PASS_KONTROLLE;}
		if($this->error == 0){
			$update = $this->db->update(PREFIX . KONTO , array("passwort" => pw_erstellen($this->array['pwd'])), array("uid" => $this->uid) , 1);
			if($update == true){
				$this->meldung .= UPDATE_PASS_TRUE;
			}else{
				$this->error = 1;
				$this->meldung .= UPDATE_PASS_FALSE;
			}
		}
		meldung($this->error,$this->meldung);
	}
	
	private function make_array($post){
		foreach($post AS $key => $value){
			$array[$key] = $this->db->escape($value);
		}
		$this->array = $array;
	}
	
	public function Profilbild($file){
		$extension = strtolower(pathinfo($file['file']['name'], PATHINFO_EXTENSION));
		
		if($file['file']['size'] > 500*1024) { $this->error = 1; $this->meldung .= FILE_UPLOAD_BIG;}
		if(function_exists('exif_imagetype')) { //Die exif_imagetype-Funktion erfordert die exif-Erweiterung auf dem Server
			$allowed_types = array(IMAGETYPE_PNG, IMAGETYPE_JPEG, IMAGETYPE_GIF);
			$detected_type = exif_imagetype($file['file']['tmp_name']);
			if(!in_array($detected_type, $allowed_types)) { $this->error = 1; $this->meldung = FILE_UPLOAD_FORMAT; }
		}
		$allowed_extensions = array('png', 'jpg', 'jpeg', 'gif');
		if(!in_array($extension, $allowed_extensions)) { $this->error = 1; $this->meldung .= FILE_UPLOAD_ENDUNG; }
		
		if($this->error == 0){
			if(!file_exists($_SERVER['DOCUMENT_ROOT']."images/userava")){ mkdir($_SERVER['DOCUMENT_ROOT']."images/userava", 0755);}
			$folder = $_SERVER['DOCUMENT_ROOT'].'images/userava/';
			$new_path = $folder.$this->session['uid'].'.'.$extension;
			if(file_exists($new_path)){ unlink($new_path);}
			if(move_uploaded_file($file['file']['tmp_name'], $new_path) == true){
				$this->db->update(PREFIX . USER, array("ava" => $this->session['uid'].'.'.$extension), array("uid" => $this->session['uid']));
				$this->meldung = FILE_UPLOAD_SAVE_TRUE;
			}else{
				$this->error = 1;
				$this->meldung = FILE_UPLOAD_SAVE_FALSE;
			}
		}
		meldung($this->error,$this->meldung);
	}
	
	public function NickpageSave($post){
		$this->make_array($post['nick']);
		if($this->db->update(PREFIX . NICKP, $this->array, array("uid" => $this->session['uid'])) == true && $this->db->update(PREFIX . USER, array("bdate" => strtotime($post['bdate'].'T 00:00:00')), array("uid" => $this->session['uid'])) == true){
			meldung(0,NICKPAGE_SAVE_TRUE);
		}else{
			meldung(1,NICKPAGE_SAVE_FALSE);
		}
	}
}

?>
