<?php

class ZAHLUNG{
	
	public $uid;
	public $art;
	
	function set_art($richtung){
		if($richtung == 1){
			$this->art = 'aktiv_ein';
		}elseif($richtung == 2){
			$this->art = 'aktiv_aus';
		}
	}
	
	function set_uid($uid){
		global $datenbank;
		if(!is_numeric($uid)){ $this->uid = 0;}else{ $this->uid = $datenbank->escape($uid);}
	}
	
	function anzeigen_moeglich(){
		global $datenbank;
		$result = $datenbank->get_results("SELECT name,schnittstelle FROM ". PREFIX . SCHNITT ." WHERE aktiv = '1' AND $this->art = '1'");
		$i = 0;
		$aus = array("head" => '', "body" => '');
		if(count((array)$result) != 0){
			foreach($result AS $res){
				$aktive = '';
				if($i == 0){ $aktive = 'active'; $i++; }
				$aus['head'] .= '<li role="presentation" class="nav-item"><a class="nav-link '. $aktive .'" href="#'. $res->schnittstelle .'" role="tab" data-toggle="tab">'. $res->name .'</a></li>';
				$aus['body'] .= '<div role="tabpanel" class="tab-pane '. $aktive .'" id="'. $res->schnittstelle .'">';
				if($datenbank->num_rows("SELECT uid FROM ". PREFIX . MULTIK . " WHERE uid = '$this->uid '") == 0){
					$aus['body'] .= '<hr>'. $this->anzeigen_veri($res->schnittstelle);
				}else{
					$aus['body'] .= '<hr>'. $this->anzeigen_auszahlung($res->schnittstelle);
				}
				$aus['body'] .= '</div>';
			}
		}else{
			$aus['head'] = '<li role="presentation" class="active"><a href="#keine" role="tab" data-toggle="tab">keine aktiviert</a></li>';
			$aus['body'] = '<div role="tabpanel" class="tab-pane active" id="keine">
							<hr>
							<div class="alert alert-warning">
								Es sind momentan keine Auszahlungsarten aktiviert
							</div>
							</div>';
		}
		return $aus;
	}
	
	function anzeigen_veri($schnitt){
		global $datenbank;
			$aus_ver = '
				<form method="post" action="">
					<input type="hidden" name="name" value="'. $schnitt .'">
					<div class="form-group">
						<label for="beispielFeldEmail1">Nutzer-ID/Nutzername</label>
						<input type="text" class="form-control" placeholder="Nutzer-ID/Nutzername">
						<p class="help-block" style="font-size:12px;">
							Je nach Seite, musst du deine Nutzer-ID oder den Nutzername angeben.
						</p>
					</div>
					<div class="form-group">
						<label for="beispielFeldEmail1">Schnittstellenpasswort</label>
						<input type="password" class="form-control">
					</div>
					<input type="submit" name="run[veri]" value="Verifizieren" class="btn btn-success btn-block">
				</form>
			';
		return $aus_ver;
	}
	
	function anzeigen_auszahlung($id){
		$aus = '
			<form method="post" action="">
				<input type="hidden" name="id" value="'. $id .'">
				<div class="form-group">
					<label for="beispielFeldEmail1">Betrag</label>
					<input type="number" name="betrag" class="form-control" placeholder="Betrag">
				</div>
				<div class="form-group">
					<label for="beispielFeldEmail1">Schnittstellenpasswort</label>
					<input type="password" name="pass" class="form-control">
				</div>';
				if($this->art == 'aktiv_aus'){
					$aus .= '<input type="submit" name="run[auszahlen]" value="Auszahlen" class="btn btn-block btn-success">';
				}elseif($this->art == 'aktiv_ein'){
					$aus .= '<input type="submit" name="run[einzahlen]" value="Einzahlen" class="btn btn-block btn-success">';
				}
			$aus .= '
			</form>
		';
		
		return $aus;
	}
	
	function anzeigen(){
		$aus = $this->anzeigen_moeglich();
		return $aus;
	}
}
