<?php
/*
Transaktionsschnittstelle für Projekt Seth
Betreibersystem Klamm ExportForce²
Copyright bei Detlef Tiegel
http://www.projekt-seth.de
*/
$trans_error = array();
// Klamm ExportForce² Fehlercodes
$trans_error[1001]        = "Alles OK";
$trans_error[1002]        = "EF Account existiert nicht";
$trans_error[1003]        = "EF Passwort falsch";
$trans_error[1004]        = "Nicht genug freie EF Anfragen";
$trans_error[1005]        = "EF Kennung existiert nicht";
$trans_error[1006]        = "klammUser existiert nicht";
$trans_error[1007]        = "klammUser ist gesperrt";
$trans_error[1008]        = "klammUser hat zu wenig Lose";
$trans_error[1009]        = "Lose Passwort falsch";
$trans_error[1010]        = "Zu wenig Lose auf EF Account";
$trans_error[1011]        = "Anzahl nicht zulässig";
$trans_error[1012]        = "Betreff nicht zulässig";
$trans_error[1013]        = "Inout Parameter nicht zulässig";
$trans_error[1014]        = "Limit Parameter nicht zulässig";
$trans_error[1015]        = "ab_tid Parameter nicht zulässig";
$trans_error[1016]        = "ab_time Parameter nicht zulässig";
$trans_error[1017]        = "type Parameter nicht zulässig";
$trans_error[1018]        = "Statistik Passwort falsch";
$trans_error[1019]        = "Tresor Parameter nicht zulässig";
$trans_error[1020]        = "Empfänger EF existiert nicht";
$trans_error[1021]        = "Empfänger EF noch nicht akiviert";
$trans_error[1022]        = "Überweisung an eigenen EF nicht möglich";
$trans_error[1023]        = "target Parameter nicht zulässig";
$trans_error[1098]        = "EF Account ist gesperrt";
$trans_error[1099]        = "Unbekannter Fehler";

function auszahlen ($betreiber_id,$betreiber_pw,$kunden_id,$kunden_pw,$betreiber_kennung,$trans_menge,$trans_betreff,$trans_code) {
global $error,$trans_ausgabe,$trans_error;

// SecVMS change begin
$trans_betreff = urlencode($trans_betreff);
$kunden_id = urlencode($kunden_id);
$kunden_pw = urlencode($kunden_pw);
$trans_menge = urlencode($trans_menge);
// SecVMS change end

$returned='';
$ret=@file("http://www.klamm.de/engine/lose/send.php?ef_id=".$betreiber_id."&ef_pw=".$betreiber_pw."&k_id=".$kunden_id."&s=".$trans_betreff."&n=".$trans_menge."&k=".$betreiber_kennung."&l_pw=".$kunden_pw."&code=".$trans_code."");
for($i=0;$i<count($ret);$i++) {
  $returned.=$ret[$i];
}

$trans_check = explode("|",$returned,7);
if ($trans_check[0] != "1001") {
$trans_ausgabe = $trans_error[$trans_check[0]];
if ($trans_ausgabe == "") $trans_ausgabe = $trans_error[1099];
$error = "true";
}

return $error;
return $trans_ausgabe;
}

// Klamm.de -> ExportForce²
/**
 * einzahlen()
 *
 * @param mixed $betreiber_id
 * @param mixed $betreiber_pw
 * @param mixed $kunden_id
 * @param mixed $kunden_pw
 * @param mixed $betreiber_kennung
 * @param mixed $trans_menge
 * @param mixed $trans_betreff
 * @param mixed $trans_code
 * @return
 */
function einzahlen ($betreiber_id,$betreiber_pw,$kunden_id,$kunden_pw,$betreiber_kennung,$trans_menge,$trans_betreff,$trans_code){
global $error,$trans_ausgabe,$trans_error;

// SecVMS change begin
$trans_betreff = urlencode($trans_betreff);
$kunden_id = urlencode($kunden_id);
$kunden_pw = urlencode($kunden_pw);
$trans_menge = urlencode($trans_menge);
// SecVMS change end

$returned='';
$ret=file("http://www.klamm.de/engine/lose/get.php?ef_id=".$betreiber_id."&ef_pw=".$betreiber_pw."&k_id=".$kunden_id."&s=".$trans_betreff."&n=".$trans_menge."&k=".$betreiber_kennung."&l_pw=".$kunden_pw."&code=".$trans_code."");
for($i=0;$i<count($ret);$i++) {
  $returned.=$ret[$i];
}
$trans_check = explode("|",$returned,7);
if ($trans_check[0] != "1001") {
$trans_ausgabe = $trans_error[$trans_check[0]];
if ($trans_ausgabe == "") $trans_ausgabe = $trans_error[1099];
$error = "true";
}
return $error;
return $trans_ausgabe;
}

// Klammlose-Kontostand
/**
 * usercheck()
 *
 * @param mixed $betreiber_id
 * @param mixed $betreiber_pw
 * @param mixed $kunden_id
 * @param mixed $kunden_pw
 * @return
 */
function usercheck ($betreiber_id,$betreiber_pw,$kunden_id,$kunden_pw){
global $error,$trans_ausgabe,$trans_error,$user_saldo;

// SecVMS change begin
$kunden_id = urlencode($kunden_id);
$kunden_pw = urlencode($kunden_pw);
// SecVMS change end

$returned='';
$ret=file("http://www.klamm.de/engine/lose/saldo.php?ef_id=".$betreiber_id."&ef_pw=".$betreiber_pw."&k_id=".$kunden_id."&l_pw=".$kunden_pw."");
for($i=0;$i<count($ret);$i++){
  $returned.=$ret[$i];
}
$trans_check = explode("|",$returned,7);
if ($trans_check[0] != "1001") {
$trans_ausgabe = $trans_error[$trans_check[0]];
if ($trans_ausgabe == "") $trans_ausgabe = $trans_error[1099];
$error = "true";
}
if ($error != "true") $user_saldo = $trans_check[1];
return $error;
return $trans_ausgabe;
return $user_saldo;
}

// Usercheck
/**
 * uservalidate()
 *
 * @param mixed $betreiber_id
 * @param mixed $betreiber_pw
 * @param mixed $kunden_id
 * @param mixed $kunden_pw
 * @return
 */
function uservalidate ($betreiber_id,$betreiber_pw,$kunden_id,$kunden_pw){
global $error,$trans_ausgabe,$trans_error;

// SecVMS change begin
$kunden_id = urlencode($kunden_id);
$kunden_pw = urlencode($kunden_pw);
// SecVMS change end

$returned='';
$ret=file("http://www.klamm.de/engine/klamm/validate.php?ef_id=".$betreiber_id."&ef_pw=".$betreiber_pw."&k_id=".$kunden_id."&l_pw=".$kunden_pw."");
for($i=0;$i<count($ret);$i++){
  $returned.=$ret[$i];
}
$trans_check = explode("|",$returned,7);
if ($trans_check[0] != "1001") {
$trans_ausgabe = $trans_error[$trans_check[0]];
if ($trans_ausgabe == "") $trans_ausgabe = $trans_error[1099];
$error = "true";
}

return $error;
return $trans_ausgabe;
}
?>