<?php

$kontostats	= $datenbank->get_row("SELECT SUM(s_aufrufe) AS kd_s_aufrufe , SUM(s_verdienst) AS kd_s_verdienst ,COUNT(uid) AS kd_uid , SUM(kontostand_a) AS kd_kontostand , SUM(klicks) AS kd_klicks , SUM(angebettelt) AS kd_angebettelt , SUM(kv) AS kd_kv , SUM(bv) AS kd_bv FROM ". PREFIX . KONTO ."",true);
$werberdaten	= $datenbank->get_row("SELECT SUM(gesamt) AS wd_gesamt FROM ". PREFIX . WERBER ."",true);

$werbung = array("bannerAnz" => 0,"bannerWert" => 0);
foreach($datenbank->get_results("SELECT * FROM ". PREFIX . WERBUNG ." WHERE status = '1' ") AS $res){
	if($res->werbeart == 'forcedbanner'){
		$werbung['bannerAnz']++;
		$werbung['bannerWert'] += $res->verdienst;
	}
}
$fc = array(
	"gebucht" => 0,
	"menge" => 0,
	"wert" => 0
);
foreach($datenbank->get_results("SELECT * FROM ". PREFIX . WERBUNG ." WHERE menge >= 1 and werbeart = 'forcedbanner' and status = '1'") AS $res){
	$fc['gebucht']++;
	$fc['menge'] += $res->menge;
	$fc['wert'] += $res->verdienst*$res->menge;
}

$heute			= strtotime("".date("m")."/".date("d")."/".date("Y").""); // Format mm.tt.yyyy
$seitenstart	= strtotime("03/12/2019"); // Format mm.tt.yyyy
$tage			= (time() - $seitenstart) / 86400;
if ($tage <= 1) $tage = 1;

head("Mediadaten - $grundconfig->seitenname");?>
<table width="100%" border="0" cellpadding="1" cellspacing="1">
	<tr  class="tabellenbody_0">
		<td width="50%" >Start dieser Seite</td>
		<td width="50%"><?php echo date("d.m.Y",$seitenstart);?></td>
	</tr>
	<tr class="tabellenbody_1">
		<td width="50%">Guthaben aller User</td>
		<td width="50%"><?php echo @number_format($kontostats->kd_kontostand,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
	</tr>
	<tr class="tabellenbody_0">
		<td width="50%">Guthaben Ø pro User</td>
		<td width="50%"><?php echo @number_format($kontostats->kd_kontostand / $kontostats->kd_uid,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
	</tr>
	<tr class="tabellenbody_1">
		<td width="50%">Angemeldete User</td>
		<td width="50%"><?php echo @number_format($kontostats->kd_uid,0,",",".");?></td>
	</tr>
	<tr class="tabellenbody_0">
		<td width="50%">Anmeldungen pro Tag</td>
		<td width="50%"><?php echo @number_format($kontostats->kd_uid / $tage,2,",",".");?></td>
	</tr>
	<tr>
		<td colspan="2" width="100%%"><hr size="1" width="100%" color="#800000"></td>
	</tr>
	<tr>
		<td width="50%">Startseitenaufrufe alle User</td>
		<td width="50%"><?php echo number_format($kontostats->kd_s_aufrufe,0,",",".");?> Aufrufe</td>
	</tr>
	<tr>
		<td width="50%">Verdienst bei allen Startseitenaufrufe</td>
		<td width="50%"><?php echo number_format($kontostats->kd_s_verdienst,2,",",".");?> <? echo $grundconfig->waehrung;?></td>
	</tr>
</table>
<?php foot();
head("Mediadaten - Diverses");?>
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr class="tabellenbody_0">
<td width="50%">Forcedklicks aller User</td>
<td width="50%"><?php echo @number_format($kontostats->kd_klicks,0,",",".");?> Klicks</td>
</tr>
<tr class="tabellenbody_1">
<td width="50%">Verdienst bei allen Forcedklicks</td>
<td width="50%"><?php echo @number_format($kontostats->kd_kv,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
</tr>
<tr class="tabellenbody_0">
<td width="50%">Ø Verdienst pro Klick</td>
<td width="50%"><?php echo @number_format($kontostats->kd_kv/$kontostats->kd_klicks,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
</tr>
<tr class="tabellenbody_1">
<td width="50%">Bettelaufrufe alle User</td>
<td width="50%"><?php echo @number_format($kontostats->kd_angebettelt,0,",",".");?> Aufrufe</td>
</tr>
<tr class="tabellenbody_0">
<td width="50%">Verdienst bei allen Bettelaufrufen</td>
<td width="50%"><?php echo @number_format($kontostats->kd_bv,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
</tr>
<tr class="tabellenbody_1">
<td width="50%">Ø Verdienst pro Aufruf</td>
<td width="50%"><?php echo @number_format($kontostats->kd_bv/$kontostats->kd_angebettelt,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
</tr>
<tr class="tabellenbody_0">
<td width="50%">Refverdienste für alle Werber</td>
<td width="50%"><?php echo @number_format($werberdaten->wd_gesamt,2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
</tr>
</table>
<?php foot();
head("Mediadaten - Werbung");?>
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr class="tabellenbody_0">
<td width="50%">Forcedklick Kampagnen</td>
<td width="50%"><?php echo @number_format($fc['gebucht'],0,",",".");?> Kampagnen</td>
</tr>
<tr class="tabellenbody_1">
<td width="50%">Forcedklick Restklicks</td>
<td width="50%"><?php echo @number_format($fc['menge'],0,",",".");?> Klicks</td>
</tr>
<tr class="tabellenbody_0">
<td width="50%">Forcedklicks Gesamtwert</td>
<td width="50%"><?php echo @number_format($fc['wert'],2,",",".");?> <?php echo $grundconfig->waehrung;?></td>
</tr>
</table>
<?php foot();?>
