<?php
$sql = $datenbank->get_row("SELECT u.nickname,u.vorname,u.nachname,u.angemeldet_seit,w.werber,w.umsatz,w.gesamt,w.refback,k.s_verdienst,k.s_aufrufe,k.kontostand_a,k.kontostand_b,k.klicks,k.kv,k.angebettelt,k.bv FROM
                        ". PREFIX . KONTO ." k
                        LEFT JOIN ".PREFIX . USER." u ON u.uid = k.uid
                        LEFT JOIN ".PREFIX . WERBER ." w ON w.uid = k.uid
						WHERE k.uid=". $datenbank->escape($_SESSION['uid']) ." LIMIT 1",true);


if ($sql->werber == 0) $sql->werber = '<i>Kein Werber</i>';

head("Kontoübersicht von ".$sql->vorname." ".$sql->nachname);?>
<table class="table">
	<tr>
		<td>Nickname:</td>
		<td class="text-right"><?php echo $sql->nickname;?></td>
	</tr>
	<tr>
		<td>Kontonummer</td>
		<td class="text-right"><?php echo $_SESSION['uid'];?></td>
	</tr>
	<tr>
		<td>Konto eröffnet am</td>
		<td class="text-right"><?php echo date("d.m.Y - H:i",$sql->angemeldet_seit);?></td>
	</tr>
	<tr>
		<td>Aktueller Kontostand</td>
		<td class="text-right"><?php echo number_format($sql->kontostand_a,2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
	<?php
	if($grundconfig->kontostand_b == 1){
		?>
		<tr>
			<td>Aktueller Bonuskontostand</td>
			<td class="text-right"><?php echo number_format($sql->kontostand_b,2,',','.').' '.$grundconfig->kontostand_b_name;?></td>
		</tr>
		<?php
	}
	?>
	<tr>
		<td>Dein Werber (Refback %)</td>
		<td class="text-right"><?php echo $sql->werber;?> (<?php echo $sql->refback;?> %)</td>
	</tr>
	<tr>
		<td>Aktueller Verdienst</td>
		<td class="text-right"><?php echo number_format($sql->umsatz / 100 * $grundconfig->re1,2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
	<tr>
		<td>Gesamt für den Werber</td>
		<td class="text-right"><?php echo number_format($sql->gesamt,2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
</table>
<?php foot();?>

<?php head("Diverse Einnahmen");?>
<table class="table">
	<tr>
		<td>Forcedklicks seit Anmeldung</td>
		<td class="text-right"><?php echo number_format($sql->klicks,0,",",".");?></td>
	</tr>
	<tr>
		<td>Gesamtverdienst bei Forcedklicks</td>
		<td class="text-right"><?php echo number_format($sql->kv,2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
	<tr>
		<td>Ø Verdienst pro Forcedklick</td>
		<td class="text-right"><?php echo number_format((($sql->klicks > 0 && $sql->kv > 0) ? $sql->kv / $sql->klicks : 0),2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
	<tr>
		<td>Bettelaufrufe seit Anmeldung</td>
		<td class="text-right"><?php echo number_format($sql->angebettelt,0,",",".");?></td>
	</tr>
	<tr>
		<td>Gesamtverdienst bei Bettelaufrufe</td>
		<td class="text-right"><?php echo number_format($sql->bv,2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
	<tr>
		<td>Ø Verdienst pro Bettelaufruf</td>
		<td class="text-right"><?php echo number_format((($sql->angebettelt > 0 && $sql->bv > 0) ? $sql->bv /$sql->angebettelt : 0),2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
	<tr>
		<td>Startseitenaufrufe</td>
		<td class="text-right"><?php echo number_format($sql->s_aufrufe,0,",",".");?> </td>
	</tr>
	<tr>
		<td>Verdienst mit Startseitenaufrufe</td>
		<td class="text-right"><?php echo number_format($sql->s_verdienst,2,",",".").' '.$grundconfig->waehrung;?></td>
	</tr>
</table>
<?php foot();?>

