<?php

class betreiber{
	private $db;
	private $error = 0;
	private $meldung;
	private $post = array();
	
	public function __construct(){
		global $datenbank;
		$this->db = $datenbank;
	}
	
	function post(){
		global $_POST;
		if($_POST['updaten_betreiberdaten'] == 'Updaten'){ $this->updaten(); }
		if($_POST['updaten_betreiberdaten'] == 'Hinzufügen !'){ $this->hinzufuegen();}
		if($_POST['updaten_betreiberdaten'] == 'Loeschen !'){ $this->loeschen();}
	}
	
	
	public function post_pruef(){
		global $_POST;
		if(empty($this->post['name'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_NAME_FALSE;}
		if(empty($this->post['betreiber_id']) OR !is_numeric($this->post['betreiber_id'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_BID_FALSE;}
		if(empty($this->post['betreiber_passwort'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_BPW_FALSE;}
		if(empty($this->post['schnittstelle'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_DATEI;}
		if(empty($this->post['einzahltext'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_EINZAHLTEXT;}
		if(empty($this->post['auszahltext'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_AUSZAHLTEXT;}
		if($this->post['anfragen_tag'] != 0 AND (empty($this->post['anfragen_tag']) OR !is_numeric($this->post['anfragen_tag'])) ){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_ANFRAGEN_TAG;}
		if($this->post['anfragen_user'] != 0 AND (empty($this->post['anfragen_user']) OR !is_numeric($this->post['anfragen_user'])) ){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_ANFRAGEN_USER;}
		if(empty($this->post['waehrung_name'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_WNAME;}
		if(empty($this->post['punktewert']) OR !is_numeric($this->post['punktewert'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_PUNKTEWERT;}
		if(empty($this->post['wertepunkt']) OR !is_numeric($this->post['wertepunkt'])){ $this->error = 1; $this->meldung .= POST_PRUEF_BETREIBERDATEN_WERTPUNKTE;}
		if(isset($this->post['aktiv'])){
			if($this->post['aktiv'] == 'on'){ $this->post['aktiv'] = 1;}else{ $this->post['aktiv'] = 0;}
		}
		if(isset($this->post['aktiv_ein'])){
			if($this->post['aktiv_ein'] == 'on'){$this->post['aktiv_ein'] = 1;}else{ $this->post['aktiv_ein'] = 0;}
		}
		if(isset($this->post['aktiv_aus'])){
			if($this->post['aktiv_aus'] == 'on'){ $this->post['aktiv_aus'] = 1;}else{ $this->post['aktiv_aus'] = 0;}
		}
	}
	
	public function post_array($daten){
		foreach($daten as $key => $value) {
			if($key != '' AND $key != 'run' && $value != ''){
				$this->post[$this->db->escape($key)] = $this->db->escape($value);
			}
		}
	}
	
	public function hinzufuegen(){
		global $_POST;
		$this->post_array($_POST);
		$this->post_pruef();
		if($this->error == 0){
			$insert = $this->db->insert(PREFIX . SCHNITT , $this->post);
			if($insert == true){
				$this->meldung = BETREIBERDATEN_SAVE_TRUE;
			}else{
				$this->error = 1;
				$this->meldung = BETREIBERDATEN_SAVE_FALSE;
			}
		}
		
		meldung($this->error,$this->meldung);
	}
	
	public function updaten(){
		global $_POST;
		$this->post_array($_POST);
		$this->post_pruef();
		$update = $this->db->update(PREFIX . SCHNITT , $this->post , array("schnittstelle" => $this->db->escape($_POST['schnittstelle']) ) , 1);
		if($update == true){
			$this->meldung = BETREIBERDATEN_SAVE_TRUE;
		}else{
			$this->error = 1;
			$this->meldung = BETREIBERDATEN_SAVE_FALSE;
		}
		
		meldung($this->error,$this->meldung);
	}
	
	public function loeschen(){
		global $_POST;
		$array = $this->post_pruef();
		if($this->db->delete(PREFIX . SCHNITT, array("schnittstelle" => $array['schnittstelle']),1) == true){
			$this->meldung = 'Erfolgreich gel&ouml;scht';
		}else{
			$this->error = 1;
			$this->meldung = 'Fehler beim l&ouml;schen';
		}
		
		meldung($this->error,$this->meldung);
	}
	
	function schnitt_zeigen($id){
		$daten = $this->db->get_row("SELECT * FROM " . PREFIX . SCHNITT . " WHERE schnittstelle = '". $this->db->escape($id) ."' ",true);

		$aktiv = array("aktiv" => '', "aktiv_ein" => '', "aktiv_aus" => '');
		if($daten->aktiv == 1){ $aktiv['aktiv'] = 'checked';}
		if($daten->aktiv_ein == 1){ $aktiv['aktiv_ein'] = 'checked';}
		if($daten->aktiv_aus == 1){ $aktiv['aktiv_aus'] = 'checked';}

		$aus = '
		<div role="tabpanel" class="tab-pane" id="'. $id .'">
			<form action="" method="post">
				<input class="form-control"  type="hidden" name="schnittstelle" value="'. $id .'">
				<div class="row">
					<div class="col-md-6">Name der Schnitstelle</div>
					<div class="col-md-6"><input type="text" class="form-control" name="name" value="'. $daten->name .'"></div>
					<br><hr>
					<div class="col-md-6">Betreiber-ID</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_id" value="'. $daten->betreiber_id .'"></div>
					<br><hr>
					<div class="col-md-6">Betreiberpasswort</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_passwort" value="'. $daten->betreiber_passwort .'"></div>
					<br><hr>
					<div class="col-md-6">Betreiberkennung<br><i>Sofern notwendig</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_kennung" value="'. $daten->betreiber_kennung .'"></div>
					<br><hr>
					<div class="col-md-6">Schnittstelle<br><i>Dateiname der Schnittstelle</i></div>
					<div class="col-md-6">
						<div class="form-group">
							<div class="input-group">
								<input type="text" class="form-control" name="schnittstelle" value="'. $daten->schnittstelle .'">
								<div class="input-group-addon">.php</div>
							</div>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">Einzahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahltext" value="'. $daten->einzahltext .'"  ></div>
					<br><hr>
					<div class="col-md-6">Auszahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahltext" value="'. $daten->auszahltext .'" ></div>
					<br><hr>
					<div class="col-md-6">Minimum Einzahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahlsumme" value="'. $daten->einzahlsumme .'" ></div>
					<br><hr>
					<div class="col-md-6">Minimum Auszahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahlsumme" value="'. $daten->auszahlsumme .'" ></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (Tag)<br><i>0 = Ohne Einschränkung Nur für Anmeldungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_tag" value="'. $daten->anfragen_tag .'" ></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (User)<br><i>0 = Ohne Einschränkung Nur Ein./Auszahlungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_user" value="'. $daten->anfragen_user .'" ></div>
					<br><hr>
					<div class="col-md-6">Status</div>
					<div class="col-md-6">
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv" '. $aktiv['aktiv'] .'>Aktiv
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_ein" '. $aktiv['aktiv_ein'] .'>Einzahlung aktivieren
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_aus" '. $aktiv['aktiv_aus'] .'>Auszahlung aktivieren
							</label>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">W&auml;hrungsname</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="waehrung_name" value="'. $daten->waehrung_name.'" ></div>
					<br><hr>
					<div class="col-md-6">XX&nbsp;Punkt&nbsp;* XX =&nbsp;XX Externen&nbsp;Waehrung</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="punktewert" value="'. $daten->punktewert .'" ></div>
					<br><hr>
					<div class="col-md-6">XX Externe&nbsp;Waehrung&nbsp;/ XX=&nbsp;= XX&nbsp;Punkt</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="wertepunkt" value="'. $daten->wertepunkt .'" ></div>
					<br><hr>
					<div class="col-md-6">
						<input class="btn btn-danger btn-block" type="Submit" name="run[updaten_betreiberdaten]" value="Loeschen !">
					</div>
					<div class="col-md-6">
						<input class="btn btn-success btn-block" type="Submit" name="run[updaten_betreiberdaten]" value="Updaten">
					</div>
				</div>
			</form>
		</div>
		';
		
		return $aus;
	}
	
	function neu_anlegen(){
		$aus = '
			<form action="" method="post">
				<input class="form-control"  type="hidden" name="schnittstelle">
				<div class="row">
					<div class="col-md-6">Name der Schnitstelle</div>
					<div class="col-md-6"><input type="text" class="form-control" name="name" required></div>
					<br><hr>
					<div class="col-md-6">Betreiber-ID</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_id" required></div>
					<br><hr>
					<div class="col-md-6">Betreiberpasswort</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_passwort" required></div>
					<br><hr>
					<div class="col-md-6">Betreiberkennung<br><i>Sofern notwendig</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="betreiber_kennung"></div>
					<br><hr>
					<div class="col-md-6">Schnittstelle<br><i>Dateiname der Schnittstelle</i></div>
					<div class="col-md-6">
						<div class="input-group mb-3">
							<input type="text" class="form-control" name="schnittstelle" required>
							<div class="input-group-append">
								<span class="input-group-text" id="basic-addon2">.php</span>
							</div>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">Einzahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahltext" required></div>
					<br><hr>
					<div class="col-md-6">Auszahltext<br><i>Max. 40 Zeichen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahltext" required></div>
					<br><hr>
					<div class="col-md-6">Minimum Einzahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="einzahlsumme" required></div>
					<br><hr>
					<div class="col-md-6">Minimum Auszahlsumme<br><i>0 = Ohne Einschränkung</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="auszahlsumme" required></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (Tag)<br><i>0 = Ohne Einschränkung Nur für Anmeldungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_tag" required></div>
					<br><hr>
					<div class="col-md-6">Max. Schnittstellenanfragen (User)<br><i>0 = Ohne Einschränkung Nur Ein./Auszahlungen</i></div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="anfragen_user" required></div>
					<br><hr>
					<div class="col-md-6">Status</div>
					<div class="col-md-6">
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv">Aktiv
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_ein">Einzahlung aktivieren
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="aktiv_aus">Auszahlung aktivieren
							</label>
						</div>
					</div>
					<br><hr>
					<div class="col-md-6">W&auml;hrungsname</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="waehrung_name" required></div>
					<br><hr>
					<div class="col-md-6">XX&nbsp;Punkt&nbsp;* XX =&nbsp;XX Externen&nbsp;Waehrung</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="punktewert" required></div>
					<br><hr>
					<div class="col-md-6">XX Externe&nbsp;Waehrung&nbsp;/ XX=&nbsp;= XX&nbsp;Punkt</div>
					<div class="col-md-6"><input class="form-control"  type="Text" name="wertepunkt" required></div>
					<br><hr>
					<div class="col-md-6">
					</div>
					<div class="col-md-6">
						<input class="btn btn-success btn-block" type="Submit" name="run[updaten_betreiberdaten]" value="Hinzuf&uuml;gen !">
					</div>
				</div>
			</form>
		';
		
		return $aus;
	}
}

?>
