<?php

class bver{
	private $db;
	private $art;
	private $error = 0;
	private $meldung;
	private $array = array();
	
	function __construct(){
		global $datenbank;
		$this->db = $datenbank;
	}
	
	public function set_art($art){
		if($art == 'user'){ $this->art = B_US;}
		if($art == 'admin'){ $this->art = B_AD;}
	}
	
	private function make_array($post){
		foreach($post AS $key => $value){
			if($key != '' && $key != 'run' && $value != ''){
				$this->array[$this->db->escape($key)] = $this->db->escape($value);
			}
		}
	}
	
	private function select($id){
		$aus = '
			<select name="sichtbar" class="form-control">
				<option value="0"'; if($id == 0){ $aus .= 'selected="selected';} $aus .= '>nicht sichtbar</option>
				<option value="1"'; if($id == 1){ $aus .= 'selected="selected';} $aus .= '>User</option>
				<option value="2"'; if($id == 2){ $aus .= 'selected="selected';} $aus .= '>G&auml;ste/User</option>
			</select>';
		return $aus;
	}
	
	public function Liste(){
		$aus = '
			<ul class="list-group">
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-4">Name der Box</div>
						<div class="col-md-4">Ordnungszahl</div>
						<div class="col-md-4"></div>
					</div>
				</li>
		';
		foreach($this->db->get_results("SELECT * FROM ". PREFIX . $this->art ." ") AS $res){
			$aus .= '
			<li class="list-group-item">
				<form method="post" action="">
				<input type="hidden" name="id" value="'.$res->id.'">
					<div class="row">
						<div class="col"><input type="text" class="form-control" name="name" value="'.$res->name.'"></div>
						<div class="col"><input type="number" class="form-control" name="ordnung" size="3" value="'.$res->ordnung.'"></div>';
						if($this->art == 'box_user'){ $aus .= '<div class="col-md-3">'. $this->select($res->sichtbar) .'</div>';}
						$aus .= '
						<div class="col text-center">
							<input type="submit" class="btn btn-success glyphicon glyphicon-ok-circle" name="run['.$this->art.'_box_aendern]" value="&Auml;ndern">&nbsp;
							<input type="submit" class="btn btn-danger glyphicon glyphicon-remove-circle" name="run['.$this->art.'_box_loschen]" value="L&ouml;schen">
						</div>
					</div>
				</form>
			</li>
			';
		}
		$aus .= '</ul>';
		return $aus;
	}
	
	private function SaveDB(){
		if($this->db->update(PREFIX . $this->art, $this->array, array("id" => $this->array['id'])) == true){
			$this->meldung = BOX_EDIT_TRUE;
		}else{
			$this->error = 1;
			$this->meldung = BOX_EDIT_FALSE;
		}
	}
	
	public function Edit($post){
		$this->make_array($post);
		$this->SaveDB();
		meldung($this->error,$this->meldung);
	}
	
	public function Save($post){
		$this->make_array($post);
		$this->AddDB();
		meldung($this->error,$this->meldung);
	}
	
	public function Delete($post){
		$this->make_array($post);
		if(!isset($array['uid'])){ $array['uid'] = 0;}
		$this->DeleteDB();
		meldung($this->error,$this->meldung);
	}
	
	private function DeleteDB(){
		if($this->db->delete(PREFIX . $this->art, array("id" => $this->array['id']),1) == true){
			$this->meldung = BOX_DELETE_TRUE;
		}else{
			$this->error = 1;
			$this->meldung = BOX_DELETE_FALSE;
		}
	}
	
	private function AddDB(){
		if($this->db->insert(PREFIX . $this->art, $this->array) == true){
			$this->meldung = BOX_SAVE_TRUE;
		}else{
			$this->error = 1;
			$this->meldung = BOX_SAVE_FALSE;
		}
	}
}
