<?php

class grundeinstellung{
	private $db;
	private $post = array();
	private $error = 0;
	private $meldung = '';
	private $config;
	
	function __construct(){
		global $datenbank,$grundconfig;
		$this->db = $datenbank;
		$this->config = $grundconfig;
	}
	
	public function Save($post){
		$this->make_array($post);
		if(isset($this->post['start_seite'])){
			$this->post['start_seite'] = strtotime($this->post['start_seite'].'T00:00:00');
		}
		if($this->db->update(PREFIX . CONFIG , $this->post) == true){
			$this->meldung = PAGECONFIG_SAVE_TRUE;
		}else{
			$this->error = 1;
			$this->meldung = PAGECONFIG_SAVE_FALSE;
		}
		
		meldung($this->error,$this->meldung);
	}
	
	private function make_array($post){
		foreach($post AS $key => $value){
			if($key != '' && $key != 'run'){
				if($key == 'wartung'){if($key == 'wartung'){$value = 1;}else{$value = 0;}}
				if($key == 'anzeige_chat'){if($key == 'anzeige_chat'){ $value = 1;}else{ $value = 0;}}
				if($key == 'anzeige_text'){if($key == 'anzeige_text'){ $value = 1;}else{ $value = 0;}}
				$this->post[$key] = $this->db->escape(htmlspecialchars($value));
			}
		}
	}
	
	public function Refliste(){
		$aus = '<form method="post" action="">
			<div class="form-group">
				<label for="exampleInputEmail1">Anzahl Refebenen</label>
				<input type="number" class="form-control" name="AnzrefEbenen" value="'.$this->config->RefEbenen .'">
				<small id="emailHelp" class="form-text text-muted">Sollten es mehr Refebenen werden, bitte erst die Anzahl Speichern und dann die Verg&uuml;tungen eintragen</small>
			</div>
			<div class="row">';
		$ii = 1;
		$explode = explode(";",$this->config->RefVerg);
		for($i = 1; $i <= $this->config->RefEbenen; $i++){
			if(isset($explode[$i-1])){ $eexplode = $explode[$i-1];}else{ $eexplode = 0;}
			$aus .= '
			<div class="col">
				<div class="input-group mb-3">
					<div class="input-group-prepend">
						<span class="input-group-text" id="basic-addon1">Ebene '. $i .'</span>
					</div>
					<input type="text" class="form-control text-right" name="refebenen['.$i.']" value="'. $eexplode .'">
					<div class="input-group-append">
						<span class="input-group-text" id="basic-addon1">%</span>
					</div>
				</div>
			</div>';
			if($ii == 5){
				$aus .= '</div><div class="row">';
				$ii = 1;
			}else{
				$ii++;
			}
		}
		$aus .= '</div><input type="submit" name="run[refebenenSave]" value="Speichern" class="btn btn-success btn-block"></form>';
		return $aus;
	}
	
	public function RefVergSave($post){
		if(is_numeric($post['AnzrefEbenen'])){ $AnzRefEbenen = $post['AnzrefEbenen'];}else{ $AnzRefEbenen = 0;}
		if(empty($post['refebenen'])){ $refebenen = 0;}else{ $refebenen = implode(";",$post['refebenen']);}
		if($this->db->update(PREFIX . CONFIG, array("RefEbenen" => $AnzRefEbenen, "RefVerg" => $refebenen), array("id" => 1)) == true){
			meldung(0,REFEBENEN_SAVE_TRUE);
		}else{
			meldung(1,REFEBENEN_SAVE_FALSE);
		}
	}
	
	public function AdminPWUpdate($post){
		if($this->db->update(PREFIX . CONFIG, array("admin_name" => base64_encode($this->db->escape($post['admin_name'])), "admin_pass" => pw_erstellen($post['admin_pass'])), array("id" => 1),1) == true){
			meldung(0,ADMIN_PASS_SAVE_TRUE);
		}else{
			meldung(1,ADMIN_PASS_SAVE_FALSE);
		}
	}
}
