<?php

if(!file_exists (__dir__ .'/lib/db_config.php' )){
	header ("location: /install/index.php");
}
session_start();
require_once(__dir__ .'/lib/db_config.php');
require_once(__dir__ .'/lib/class/db.class.php');
require_once(__dir__ .'/lib/var.php');
$grundconfig = $datenbank->get_row("SELECT * FROM ". PREFIX . CONFIG ." ",true);
require_once(__dir__ .'/lib/session.lib.php');
require_once(__dir__ .'/lib/lang/lang.de.php');
require_once (__dir__ .'/lib/functions.lib.php');
require_once (__dir__ .'/lib/run.inc.php');
require_once (__dir__ .'/lib/layout.lib.php');
require_once (__dir__ .'/lib/extras.lib.php');
require_once (__dir__ .'/lib/extra/mail.php');
ReloadDelete();

if (!isset($_GET['page']) || empty ($_GET['page'])) 	$_GET['page'] = '/intern/startseite';
if (!file_exists('page' . $_GET['page'] . '.php')) 		$_GET['page'] = '/error/keine_seite';
if ($_GET['page'] == '/intern/startseite') 				require_once (__dir__ .'/lib/texte/alt_startseitenpopup.txt');
if ($_GET['page'] == '/betteln') 						require_once (__dir__ .'/lib/texte/alt_bettelseitenpopup.txt');

CheckLogin();
$CountDownTime = 0;
$start_reload = "SELECT * FROM ". PREFIX . RELOAD ." WHERE uid = '".$datenbank->escape($_SESSION['uid']) ."' and tan = 'startseitenaufruf' and bis >= '". time() ."'";
if ($datenbank->num_rows($start_reload) != 0) {
	$start = $datenbank->get_row($start_reload,true);
	$CountDownTime = $start->bis;
}
?>

<!DOCTYPE html>
<html lang='de'>
    <head>
        <title><?php echo $grundconfig->seitenname;?></title>
        <meta charset="UTF-8">
        <meta name="generator" content="vms-script">
        <meta name="Author" content="Designerscripte.net">
        <meta name="Publisher" content="Designerscripte.net">
        <meta name="Keywords" content="vms,paid4,loginscript">
        <meta name="Description" content="Verdien was Du willst">
        <meta name="Robots" content="INDEX,FOLLOW">
		<link href="css/bootstrap.min.css" rel="stylesheet"> 
		<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.css">
		<script src="https://code.jquery.com/jquery-latest.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
		<script src="js/bootstrap.min.js"></script>
		<script type="text/javascript"> var CountDownTimer = <?php echo $CountDownTime;?>;</script>
		<script src="js/countdown.js"></script>
		<script src="js/sort.js"></script>
		<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
    </head>
    <body>
	
	<?php 
	if(!empty($meldung)){
	?>
	<script>
		$(window).load(function(){
			$('#meldung_modal').modal('show');
		});
	</script>
	
	<div class="modal" id="meldung_modal">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-body">
					<?php
						if($error == '1'){
							echo '
							<div class="alert alert-danger" role="alert">
							';
						}else{
							echo '
							<div class="alert alert-success" role="alert">
							';
						}
						
						echo $meldung;
					?>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Schließen</button>
				</div>
			</div>
		</div>
	</div>
	<?php
	}
	?>
	<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
		<a class="navbar-brand" href="<?php echo $grundconfig->domain;?>"><?php echo $grundconfig->seitenname;?></a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarSupportedContent">
			<ul class="navbar-nav mr-auto">
				<?php if ($_SESSION['login'] != true) { ?>
					<li class="nav-item dropdown">
						<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Login</a>
						<div class="dropdown-menu" aria-labelledby="navbarDropdown" style="padding:5px;">
							<form method="post" action="">
								<div class="form-group">
									<label>Nutzername</label>
									<input type="text" class="form-control" name="nickname" placeholder="Nutzername">
								</div>
								<div class="form-group">
									<label>Passwort</label>
									<input type="password" class="form-control" name="passwort" placeholder="Passwort">
								</div>
								<div class="form-check">
									<input class="form-check-input" type="checkbox" name="autologin">
									<label class="form-check-label" for="defaultCheck1">
										<small>Autologin Aktivieren</small>
									</label>
								</div>
								<input type="submit" name="run[checkid]" class="btn btn-default" value="Login" formmethod="post">
								<a class="nav-link" href="?page=/intern/daten">Passwort anfordern!</a>
							</form>
						</div>
					</li>
					<li class="nav-item"><a class="nav-link" href="?page=/intern/anmelden">Registrieren</a></li>
				<?php }else{ ?>
					<li class="nav-item"><a class="nav-link" href="?page=/start"><div id="CountDown"></div></a></li>
					<?php
				} ?>
				<li class="nav-item dropdown">
					<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Start</a>
					<div class="dropdown-menu" aria-labelledby="navbarDropdown">
						<a class="dropdown-item" href="<?php echo $grundconfig->domain;?>">Startseite</a>
						<a class="dropdown-item" href="?page=/intern/news">News</a>
                        <a class="dropdown-item" href="?page=/intern/mediadaten">Mediadaten</a>
                        <a class="dropdown-item" href="?page=/intern/agbs">AGB</a>
                        <a class="dropdown-item" href="?page=/intern/faqs">FAQ</a>
                        <a class="dropdown-item" href="?page=/intern/datenschutz">Datenschutzerkl&auml;rung</a>
                        <a class="dropdown-item" href="?page=/intern/impressum">Impressum</a>
					</div>
				</li>
				<?php 
				if(isset($_SESSION['admin']) && $_SESSION['admin'] == 1){ echo '<li class="nav-item"><a class="nav-link" href="'. $grundconfig->domain .'/adminforce\">Adminforce</a></li>'; }
				?>
			</ul>
		</div>
	</nav>
	<br>
	<div class="container-fluid" role="main">
		<div class="row">
			<div class="col-1"></div>
			<div class="col-2">
				<?php require_once('lib/menue_links.php');?>
			</div>
			<div class="col-8">
				<div class="jumbotron">
					<?php
					require_once ('./page/' . $_GET['page'] . '.php');
					?>
				</div>
			</div>
			<div class="col-1"></div>
		</div>
	</div>
	
	<footer class="footer">
		<div class="container">
			<p class="text-muted text-center"> <!-- Diese Seite basiert auf dem VMS1.2 von Designerscripte.net und wurde durch VMS1-Scripte.de erweitert das entfernen dieses Copyrighthinweises ohne Erlaubnis zieht rechtliche Schritte mit sich -->
                &copy; by <a href="http://www.designerscripte.net">Designerscripte.net</a> || Erweitert durch <a href="http://www.vms1-scripte.de">vms1-scripte.de</a></p>
		</div>
    </footer>
	<!-- Start Cookie Plugin -->
	<script type="text/javascript">
		window.CookieHinweis_options = {
			message: 'Diese Website nutzt Cookies, um bestmögliche Funktionalität bieten zu können.',
			agree: 'Ok, verstanden',
			learnMore: 'Mehr Infos',
			link: 'http://<?php echo $grundconfig->domain;?>/?page=/intern/datenschutz', /* Link zu den eigenen Datenschutzbestimmungen */
			theme: 'dunkel-unten' /* weitere Theme-Optionen sind dunkel-oben oder hell-unten-rechts */
		};
	</script>
	<script type="text/javascript" src="https://s3.eu-central-1.amazonaws.com/website-tutor/cookiehinweis/script.js"></script>
	<!-- Ende Cookie Plugin -->
    </body>
</html>
