<?php
error_reporting(E_ALL);
if(!isset($_GET['step'])){ $_GET['step'] = 0;}
require($_SERVER['DOCUMENT_ROOT'].'/lib/functions.lib.php');
require_once('install.class.php');
$Install = new Install;
if($_SERVER['REQUEST_METHOD'] == 'POST'){
	if(isset($_POST['datenbank_anlegen'])){
		$Install->DB_Config($_POST);
	}
	
	if(isset($_POST['ZUgangsdatenSpeichern'])){
		$Install->Zugangsdaten($_POST);
	}
	
	if(isset($_POST['impressum_anlegen'])){
		$Install->Impressum($_POST);
	}
}
?>

<html>
	<head>
		<link href="../css/bootstrap.min.css" rel="stylesheet"> 
		<script src="https://code.jquery.com/jquery-latest.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
		<script src="../js/bootstrap.min.js"></script>
	</head>
	<body>
		<div class="container-fluid" style="padding-top:10px;">
			<div class="jumbotron">
				<ul class="nav nav-tabs" id="myTab" role="tablist">
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 0){ echo ' active';}?>" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">Start</a>
					</li>
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 2){ echo ' active';}?>" id="db-tab" data-toggle="tab" href="#db" role="tab" aria-controls="profile" aria-selected="false">Datenbank</a>
					</li>
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 3){ echo ' active';}?>" id="contact-tab" data-toggle="tab" href="#dbstruck" role="tab" aria-controls="contact" aria-selected="false">Datenbankstrucktur</a>
					</li>
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 4){ echo ' active';}?>" id="contact-tab" data-toggle="tab" href="#grund" role="tab" aria-controls="grund" aria-selected="false">Grundeinstellungen</a>
					</li>
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 5){ echo ' active';}?>" id="contact-tab" data-toggle="tab" href="#zugang" role="tab" aria-controls="zugang" aria-selected="false">Zugangsdaten</a>
					</li>
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 6){ echo ' active';}?>" id="contact-tab" data-toggle="tab" href="#impressum" role="tab" aria-controls="impressum" aria-selected="false">Impressum erstellen</a>
					</li>
					<li class="nav-item">
						<a class="nav-link <?php if($_GET['step'] == 7){ echo ' active';}?>" id="contact-tab" data-toggle="tab" href="#fine" role="tab" aria-controls="impressum" aria-selected="false">Abschluss der Istallation</a>
					</li>
				</ul>
				<hr>
				<div class="tab-content" id="myTabContent">
					<div class="tab-pane fade <?php if($_GET['step'] == 0){ echo ' show active';}?>" id="home" role="tabpanel" aria-labelledby="home-tab">
						<?php require_once('seiten/home.php');?>
					</div>
					<div class="tab-pane fade <?php if($_GET['step'] == 2){ echo ' show active';}?>" id="db" role="tabpanel" aria-labelledby="db-tab">
						<?php require_once('seiten/db.php');?>
					</div>
					<div class="tab-pane fade <?php if($_GET['step'] == 3){ echo ' show active';}?>" id="dbstruck" role="tabpanel" aria-labelledby="contact-tab">
						<?php require_once('seiten/db_struck.php');?>
					</div>
					<div class="tab-pane fade <?php if($_GET['step'] == 4){ echo ' show active';}?>" id="grund" role="tabpanel" aria-labelledby="contact-tab">
						<?php require_once('seiten/grund.php');?>
					</div>
					<div class="tab-pane fade <?php if($_GET['step'] == 5){ echo ' show active';}?>" id="zugang" role="tabpanel" aria-labelledby="contact-tab">
						<?php require_once('seiten/zugang.php');?>
					</div>
					<div class="tab-pane fade <?php if($_GET['step'] == 6){ echo ' show active';}?>" id="impressum" role="tabpanel" aria-labelledby="contact-tab">
						<?php require_once('seiten/impressum.php');?>
					</div>
					<div class="tab-pane fade <?php if($_GET['step'] == 7){ echo ' show active';}?>" id="fine" role="tabpanel" aria-labelledby="contact-tab">
						<?php require_once('seiten/fine.php');?>
					</div>
				</div>
			</div>
		</div>
		<?php 
			if(!empty($meldung)){
		?>
		<script>
			$(window).load(function(){
				$('#meldung_modal').modal('show');
			});
		</script>
		
		<div class="modal fade" id="meldung_modal">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-body">
						<?php
							if($error == '1'){
								echo '
								<div class="alert alert-danger" role="alert">
								';
							}else{
								echo '
								<div class="alert alert-success" role="alert">
								';
							}
							
							echo $meldung;
						?>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal">Schließen</button>
					</div>
				</div>
			</div>
		</div>
		<?php
		}
		?>
	</body>
</html>
