<?php

class werbemittel{
	private $session = array();
	private $gconfig;
	
	public function __construct(){
		global $_SESSION,$grundconfig;
		$this->session = $_SESSION;
		$this->gconfig = $grundconfig;
	}
	
	public function Ansicht(){
		$aus = '';
		$aus .= $this->Werbelink();
		$aus .= '<hr>';
		$aus .= $this->Bettelregeln();
		$aus .= '<hr>';
		$aus .= $this->Banner();
		return $aus;
	}
	
	private function Bettelregeln(){
		return '
			<div class="card">
				<div class="card-header">Bettelinformationen</div>
				<div class="card-body">
					'. htmlspecialchars_decode($this->gconfig->bettel_infotext) .'
				</div>
			</div>
		';
	}
	
	private function is_dir_empty($dir) {
		if (!is_readable($dir)) return false;
		return (count(scandir($dir)) == 2);
	}
	
	private function Banner(){
		$url = $this->gconfig->domain.'/?content=/betteln&amp;ref='.$this->session['uid'].'';
		$aus = '<div class="card"><div class="card-header text-center">Werbebanner</div><div class="card-body text-center">';
		$dir = './images/werbemittel/';
		if($this->is_dir_empty($dir) != false){
			$open = opendir($dir);
			while ($banner = readdir($open)){
				if ($banner != '..' && $banner != '.' && $banner != 'Thumbs.db'){
					$size = getimagesize('images/werbemittel/'.$banner);
					$groesse = filesize('images/werbemittel/'.$banner.'')/1024;
					$aus .= '
					<b>'.$size[0].'x'.$size[1].' (~ '.round($groesse).' KB)</b><br>
					<img src="images/werbemittel/'.$banner.'" alt="'.$this->gconfig->seitenname.'"><br>
					<code>&lt;a href="'.$url.'" target="_blank"&gt;&lt;img src="'.$this->gconfig->domain.'/images/werbemittel/'.$banner.'" alt="'.$this->gconfig->seitenname.'" border="0"&gt;&lt;/a&gt;</code><br><br>';
				}
			}
			closedir($open);
		}else{
			$aus .= '<div class="alert alert-info text-center">Momentan keine Banner vorhanden</div>';
		}

    $aus .= '</div></div>';
    return $aus;
	}
	
	private function Werbelink(){
		return '
			<div class="card">
				<div class="card-header text-center">Deine Werbelinks</div>
				<div class="card-body">
					Dein Reflink: <a href="'.$this->gconfig->domain.'/?ref='.$this->session['uid'].'" target="_blank">'.$this->gconfig->domain.'/?ref='.$this->session['uid'].'</a><br>
					Dein Bettellink: <a href="'.$this->gconfig->domain.'/?page=/intern/betteln&amp;ref='.$this->session['uid'].'" target="_blank">'.$this->gconfig->domain.'/?page=/intern/betteln&amp;ref='.$this->session['uid'].'</a>
				</div>
			</div>
		';
	}
}
